RELEASE NOTES
-------------
Release Name: v2.x build XXXXXXXXXXXX from master branch

Bug fixes:
 - XXXX

Enhancements:
 - XXXX

From Release: v2.2.4 build 000000000000 from v2.2 branch

Bug fixes:
 - Fix module with optional connected port having the wrong size
 - Fix InputPort with ports that have depth>0
 - ReproUnzip: actually populate 'stdout' and 'stderr' ports
 - Fix ReproUnzip not working in Mac OS binary installation
 - Fix tej failing to setup a queue in Mac OS binary installation
 - Show full stacktrace in module's "Show Error" popup
 - Fix Module Info tab showing wrong module in some cases
 - Fix Search Mode (#1149)
   - Visual query did not work without string query
   - Workflow query did not display matching modules
   - Updated Search Mode documentation
   - Upgraded pipelines will now be searched when hideUpgrades is set
 - Fix visual diff not using upgraded pipeline
 - Hide empty Mashup and Parameter exploration items in workspace
 - Fix mashup link in Workflow Info tab
 - Fix workspace not updating mashup list
 - improvements to upgrades
   - Upgrades are now correctly chained from the latest upgrade (#1164)
   - Fixed multi-step upgrades that replaces modules to other packages (#1165)

Enhancements:
 - Add a TensorFlow package
 - Allow multiple versions of the same package to be installed, load the
   latest working one
 - If loading a file with an unknown extension, assume .vt format
 - API: allow constructing vistrails.Vistrail() without argument

From Release: v2.2.3 build 02ad04a622c4 from v2.2 branch

Bug fixes:
 - Fixed showing "invalid pipeline" instead of failure from auto-enabled package
 - Fixed responsiveness of suspended module progress bar
 - Fixed some GUI issues in the job monitor
 - Accept unicode in source configuration widgets (e.g. PythonSource's)
 - Fixed using same name for an input & output port in PythonSource
 - Fixed the spreadsheet window popping up when exiting VisTrails

Enhancements:
 - tej package improved & documented
 - Add "close" action in workspace context menu
 - Added a MongoDB package
 - Added a reprounzip package
 - Make FileOutput mode use the 'outputDirectory' config setting
 - Allow multiple actions in module palette's context menus by introducing 'context_menu', replacing 'contextMenuName' and 'callContextMenu'
 - Add Reshape, DictToTable and ListToTable modules to tabledata
 - Only require numpy/xlrd/xlwt when modules get executed; they now always exist
 - Added Job Submission support to Parameter Explorations and Mashups
 - ModuleSuspended now requires a handle
 - Added Job Submission documentation, examples, and tests
 - Autosave now only stores the latest save, not a new one every 2 minutes

Behavior change for package developers:
 - MplFigure connections now carry the figure number (int)
 - ModuleSuspended now must have an associated JobHandle

From Release: v2.2.2 build 9bd2afa387a4 from v2.2 branch

Bug fixes:
 - prevents introducing cycles in pipeline view (#1097)
 - Fixes to subworkflows
   - Fixes subworkflows failing to execute (#1065)
   - Fixes not being able to remove local subworkflows (#1101)
   - Fixes upgrading to a newer local subworkflow
 - Fixes OPM and PROV export (#1076) (#1075)
 - Fixes executable documents (#1088)
 - Fixed generating pipeline and version tree graphs

From Release: v2.2.1 build c366dbcb640c from v2.2 branch

Bug fixes:
 - parameter exploration failed on cells upgraded to output modules (#1063)

From Release: v2.2 build 7a19c29b8322 from v2.2 branch

Enhancements:
 - zip/unzip binaries no longer needed (#862)
 - new version of tabledata package (also backported to v2.1.5)
 - new version of parallelflow package
 - adds developer debugger (enable "developerDebugger" in expert settings)
 - improves logging
 - reloading a disabled package (if you changed __init__; #714)
 - ungrouping materializes InputPort and OutputPort modules for unconnected
   Group ports
 - CLTools path and directory types
 - CLTools module fails if command doesn't return 0 (#957)
 - adds an icon for 'port not visible' (instead of blank)
 - sql package with SQLAlchemy
 - auto-enabling package with unmet dependencies (4a1b200b)
 - Enhancements to job submission/monitor
 - controlflow caches looped modules
 - menu to export a single spreadsheet cell
 - custom colors for version in tree
 - export version tree to graphviz dot graph
 - adds ReadFile module
 - HTTP package is now URL, validates HTTPS certificates, handles ssh://
 - fixes spreadsheet cells size resetting when resizing window
 - loads packages from pkg_resources entry points "vistrails.packages"
 - new persistent_archive package (#755)
 - new sklearn package for machine learning; http://scikit-learn.org/
 - highlight unset required ports in input ports list
 - new user API with IPython notebook integration (#24)
 - StandardOutput module can print a File's content
 - output module system: same module can output to spreadsheet, file, stdout,
   IPython, ...
 - output port drawn from left to right (#1006)
 - Warn when parameters have invalid values
 - New parameter widgets for editing parameters directly on modules
 - New list handling (deprecating the controlflow package):
   * Typed lists (Ports can now have 'list depth')
   * Automatic looping: Modules taking single items processes each item in
     a list and returns a list of results
   * Streaming support for processing one list item at a time through
     the pipeline
   * New control parameters for controlling looping behaviour
 - Switching views are now faster
 - New VTK package supporting up to VTK 6.2 (#998)
   * Installers now contains VTK 6.2
 - No longer show upgrade actions in version tree (optional; #1046)
 - Associate with .vt and .vtl files on Linux
 - Added min_conns and max_conns attribute to ports

Bug fixes:
 - fixes strptime on system with non-English locale
 - fixes returning numpy arrays from PythonSource modules (3468998b)
 - pressing ctrl+s after loading a pipeline no longer replace it with a vistrail
 - fixed losing notes when clicking "execute" immediately from version view

Behavior change for package developers:
 - made Module methods python_style; updateUpstream won't work, others will
   work but trigger warning
 - don't use Module instances as data; pass new objects on connections
 - module upgrades can be chained (#805)
 - use output modules instead of cell/writer modules
 - output port drawn from left to right; change your sort_keys
 - constant widget use eventfilter; call installEventFilter for child widgets
 - Improved module/parameter/widget configuration APIs

From Release: v2.1.5 build 9a01936a5640 from v2.1 branch

Enhancements:
 - Tabledata package updated to version 0.1.5
 - New google maps cell package
 - New distribution packaging

Bug fixes:
 - Fixed problems with parameter explorations:
   * Using more than one unset function now works
   * Fixed update logic when switching views

From Release: v2.1.4 build 269e4808eca3 from v2.1 branch

Bug fixes:
 - Pinch gesture was broken (2d5494ed1d10)
 - Ticket 893: "Create Version" button on the spreadsheet does not work (d3db65418fad)
 - New Parameter Exploration was created for each execution (c324acad38f9)
 - Could not load saved Parameter Explorations (c324acad38f9)
 - Ticket 762: Package.import_override.is_sys_pkg logic incorrect (bf5e20c923f7)
 - Usersguide: Fixed parameter exploration vtl links (79c3021a50b3)
 - Forces the use of PyQt4 (avoid PySide) (2460948327cc)
 - Guess whether to use su/sudo with pip (18698fa909b3)

From Release: v2.1.3 build 8262f078ed3b from v2.1 branch

Bug fixes:
 - Fixes scripting examples (8dd634391b71)
 - Fixes Map and Filter modules outputting Variant (d597dcd6027f)
 - Makes StringFormat handle {!r} or {:.2f} correctly (5f99a90fdc87)
 - Fixes a test on newer pytz versions (2b4ecb3bc9bb)
 - Displays exactly what we are going to install (214f98f478be)
 - Fixes issue with missing PyQt4 (fbfada66f67e)
 - Hide splashscreen when asking for file association (069c52f90130)

From Release: v2.1.2 build 7d8a4ed2feeb from v2.1 branch

Enhancements:
 - Ticket 846: File Selection Dialog (78e8d01bd7ab)
 - Ticket 824: Workflow execution output in console (8ea1231e736f)
 - Adds PromptIsOkay module (WIP) (a1bad0cc2d46)
 - Adds a YesNoDialog module (b267d2bed5eb)

Bug fixes:
 - Ticket 849: Autosave for existing vistrails not working (671eade8a9b8)
 - Saving mashups to DB corrupts them (5be2ed41d33f)
 - CLTools wizard does not show list type field (df8ef413aff4)
 - Date error in workspace when using 8-bit characters (af83742a98ec)
 - Ticket 850: Pipeline/history view scrollbars too sensitive (9e68064627c1)
 - Ticket 686: Deleting a vistrail variable breaks workflows (1870f481103d)
 - Ticket 830: Deleting a module does not delete vistrail variables connected to it (a197eba35396)
 - Ticket 825: Vistrail Variables are not copied with modules (a197eba35396)
 - Wrong view mode when switching between open vistrails (29bc0e1f47b7)
 - Ticket 828: [Windows] Pinning a panel causes it to disappear (287e77ec7afd)
 - Saving new vistrail caused view change (a95026c25968)
 - Could not drop module in detached vistrail variables widget (63957fe80711)
 - Vistrail Variables palette closed before it could be stickied (670f81d5eaff)
 - Ticket 822: Exception if PyQt is installed but PyQt.QtOpenGL isn't (e4c1ded9d649)
 - Ticket 783: Enabling packages automatically can make a different package fail (244084e837ec)
 - Old-style imports did not work on vistrails server (eaded21310ee)
 - Fixes adding a webservice through the context menu (d42e90689af2)
 - Old mashuptrails were not deleted correctly in DB (5ada9ce79bcb)
 - Mashups: Fixes alias copy bug (b5276f4c159e)
 - SaveBundle did not copy mashups (ea12b6a1e2b3)
 - Fixes date formatting in core.collection (1aaef5de72fb)
 - Fixes major ImageViewerCell bug (d8ca797bf8b9)

From Release: v2.1.1 build 90975fc00211 from v2.1 branch

Bug fixes:
 - Ticket 814: Parameter Exploration Broken (13da70d0b35f)
 - Fixes early gui import in application_server (3b2f6186cea9)
 - Ticket 816: Saved vistrail doesn't appear in 'my vistrails' (784414a617d2)
 - Ticket Fix font issue for OS X 10.9. (22c0f0cca937)

From Release: v2.1 build 179c82045907 from v2.1 branch

Enhancements:
 - Ticket 292: Add XSL support to RichTextCell (ae0126167aa8)
 - Set file associations on Linux (579d702aaab9)

Bug fixes:
 - Ticket 610: Exporting to the database should update locator (e6c3203a2710)
 - Ticket 809: Suspending module attached to more than one sink kills workflow execution (3b791e47c453)
 - Save button is not disabled when file is saved (d0dc3525f334)
 - Items in workspace were sometimes shown incorrectly (d0dc3525f334)
 - Context Menus in workspace were missing (d0dc3525f334)
 - Read only string widget had multi-line button (9117e5bb367e)
 - Opening configuration window with unsaved changes fails (fa3c1335580f)
 - Infinite loop when changing string in Mashup App (2ee81b444300)
 - Ticket 802: Can't exit VisTrails (da5c18a8b550)
 - Ticket 796: [JobSubmssion] Issue when resuming job from unsaved vistrail after quitting (cc3d342688fb)
 - Temporary files for untitled locators did not work correctly (3d9df4ab5ea2)
 - Autosave prompts when vistrail is already open (cfc06bbc1c2c)
 - Added LinuxMint as a supported Ubuntu variant (145c4c3c16ec)
 - Ticket 581: Latex extension: clicking on a figure on the PDF file (on acrobat) gives an error (f1a581b11929)
 - Publishing widget did not show unsaved vistrails correctly (0a4f49d7b081)
 - Ticket 712: Useful messages when loading abstractions (07745fca0e99)
 - Ticket 670: Traceback in configuration window (073b57d3bfca)
 - Ticket 709: Recursing on abstractions tracebacks (5b850844b735)
 - Ticket 776: 'Open in New Window' feature (71147be4b5ef)
 - Ticket 794: Exits with 'cannot connect to X server' when starting core application (3c94ccc0ac9a)
 - Fixed DBLocator equality method (e6c3203a2710)
 - Ticket 771: Export to DB hangs if schema is not present (c102cb8f72c8)
 - Ticket 787: Mac color chooser locks keyboard (628fb3e773fc)
 - Ticket 740: Double-clicking a workflow in the workspace collapses the tree (3775961debd4)
 - Ticket 738: Double-clicking a workflow in the workspace does not select it in the history view (3775961debd4)
 - Ticket 723: Changing view fails on Fedora (ee7b4652e845)
 - Ticket 722: Pipeline validation doesn't check for invalid functions (47d9c6de3e45)
 - Ticket 277: Don't always receive "enable package" dialog (802fd0de0a7e)
 - Ticket 415: Version tree refresh after API calls (0a2f6a59d6a7)
 - Ticket 730: help() not available warning in Mac 2.1 binary (a946e4da59c1)
 - Ticket 683: Packages should honor -S flag (9e5b83351d2f)
 - Ticket 649: Batch mode doesn't allow a vt without a version (b5b65892aa10)
 - Ticket 611: Mashups relational support missing (6bf5b2b02e48)
 - Ticket 759: QLineEdit.setPlaceholderText does not exist in Qt 4.6.3 (a57fbba44e6e)
 - Added progress reporting to Map module (0666e24d35f5)
 - Cannot abort execution while a vtkAlgorithm is running (6b86705c0e59)
 - Debian install script was used on Fedora (4acca49bcf74)
 - Ticket 751: Display history view when opening vistrail with tagged versions (f2b053cee1aa)
 - Spreadsheet history file path was set incorrectly (1789513a3afd)
 - Fixes slot bug in PyQt 4.7.3 (17230667d58e)

From Release: v2.1 beta2 build 99faabb791a0 from v2.1 branch

Bug fixes:
 - Ticket #735: Windows dulwich install via pip fails (14d362a695df)
 - Ticket #718: persistence can't handle directories (2a668a6e9881)
 - Fix issue with persistent paths in Windows (2a668a6e9881)
 - Ticket #728: Upgrading vistrail with disabled package (b28c85b718ac)
 - Fix issue with subworkflows using disabled packages (b28c85b718ac)
 - Fix issue with staging persistent directories (6cddde545965)
 - Fixed module upgrades not working with dynamic packages (bf997c6bb0c6)
 - Fix issue with transfer function widget (11213143752c)
 - Rewrites error-prone code for GitRepo#add_commit() (c1d2f60cc10d)
 - Persistence sets up a Git username if none is set (f37129976ba5)
 - Fixes default values on optional Boolean ports (34365eb22800)
 - Ticket #705: zip.exe not found in Windows binary (69a16e3c5b84)
 - Ticket #700: Upgrades with package identifier changes fail (32f934bef698)
 - Ticket #716: The new IPython console does not receive console output (96d65c1d0e80)
 - Ticket #699: Base classes for parameter config widgets do not enforce defaults (6e1a5624b2ae)
 - Fix BooleanWidget default handling (6e1a5624b2ae)
 - Fixed tricky upgrade bug (1385b1d04f4b)
 - Ticket #626: Passing parameters to single instance still opens second instance of VisTrails (334c743f3c33)
 - Fix issue with package identifier changes and upgrades (32f934bef698)
 - run.py/fix_paths was broken (16aeafb32399)
 - Looping over a failing PythonSource caused logger to fail (2b5ff8105562)
 - Fixes line-endings for TestUnzip (05a41335f050)
 - Disables deleting from the persistence store (3c816e2734b8)
 - Adds tests for type-checking, using PythonSources (3f0c602b003a)
 - Disables type-checking for InputPort modules (4cdad5f113df)
 - module_info now shows a module's id (0c504fe06615)
 - Limits copy and paste in module_info (b99c674c8494)
 - Detects cycles when computing pipeline signature (3a0fe0b5a880)
 - Adds some more checks for persistent path type (846631436bd0)
 - Raises a ModuleError if persisting an empty dir (d3d8b2193b5f)
 - Makes type-checking optional (30659a8b6525)
 - Fixes adding a directory to persistence (0c26c5b68ee6)
 - While requires *or* ConditionPort or MaxIterations (bdcd04e3366c)
 - Fixes a package_dependencies() crashing VisTrails (3263be2d2a52)
 - Lets PythonSource use the default source (7684997bd888)
 - PythonSource configuration dialog now uses default (3dff503ce8ce)
 - Fixes StringWidget not showing default correctly (49d9dbd161f0)
 - Restores read-only mode removed by previous merge (4bdf4705a669)
 - Removes most of the persistence_exp package (90c70ee525e6)
 - Fixes matplotlib not able to reuse cells (243ae02dd499)
 - Makes UntitledLocator inherit CoreLocator (fc863650a893)
 - Fixes looping modules (34d3029f3419)
 - Minor changes to persistence code (96a605e0ca3f)
 - Adds back PersistentPath#git_command() (295f9ade09cf)
 - Fixes an issue with fix_dates() (3ad431172b47)
 - More fixes to found_another_instance_running() (916cdeb23f6f)
 - Makes fix_dates static in PersistentRefModel (56dec62ea2aa)
 - Fixes persistence view (1bbb9bfb5f45)
 - Adds tests for Unzip and UnzipDirectory (22c9d361b78b)
 - Makes HTTPFile cacheable again (5bc3619d5cba)
 - Fixes running the CLTools wizard standalone (77bf72286a8c)
 - Fixes CLTools test on Windows releases (c503e4df5cf9)
 - Fixes UnicodeDecodeErrors in DebugView (5ce4fd3515d7)
 - Adds an UnzipDirectory module (634e6415a62e)
 - Fixes Unzip code (10a2a3753185)
 - Fixes runtestsuite.py ignoring *system* (b1210c5dc5c7)
 - ImageMagick fixes (b0994f0e5684)
 - Cleans disabled packages from cache (51a4cf021a31)
 - Removes QPackagesWidget#erase_cache attribute (2919064fcce2)
 - Don't expand the module palette on package load (890b6796e4a2)
 - Re-enables type checking after all (ec6539366bbd)
 - Fixes optional tabledata->spreadsheet dependency (511ab651ad93)
 - Makes numpy arrays valid Lists (6425d8d7a286)
 - Merge branch 'optimize-module' into 'master' (906a6edf8e73)
 - Minor fixes to installers (ba9550bb44f2)
 - Moves rgb2hsv and hsv2rgb out of paramexplore (f00a710f2424)
 - PythonSource now sets unconnected output ports (75f4d085c57f)
 - Adds a Delay port on the While module (07087da25339)
 - Renames 'optimization.py' to 'looping.py' (b4b2183e3bab)
 - Renames Optimize to While, inverts condition (0a07b43c7a2f)
 - Adds state output/input ports (e6f57d0f4999)
 - Adds the Optimize module to ControlFlow (ea4ebd43293c)
 - ExecuteInOrder now uses the ControlFlow style (3d286c21a17d)
 - Adds a Delay port on the While module (2b2648c08820)
 - Makes log-related flags not fold-specific (954c984cca31)

From Release: v2.1 beta build 16ae99d82468 from v2.1 branch

Enhancements:

 - Ticket #695: Parameter explorations should be migrated through upgrades if possible (29f072af3087)
 - Start migrating parameter explorations through upgrades (29f072af3087)
 - Ticket #690: PythonSource Port Type Completion Requires "Enter" (f19e8a6e222a)
 - Display version id in version properties (6eb10d9e3bcf)
 - Static mashup animations (d40c74b42abb)
 - Animation support for Mashups (cc578f2009a7)
 - pip should now work on all platforms where it is available (b90fdba57189)
 - Added graphical sudo for OSX (b90fdba57189)
 - Added IPython Console (57f54943a73d)
 - Use PyQt API version 2 (5229204a2dce)
 - Multi-line editor for String modules (ff7d78aa76e4)
 - Progress Dialog for workflow execution (459f3d003393)
 - Improve interaction between pipeline views and controller. (a3bcdf6cc7a2)
 - Improve API (aa1dbcc5f34d)
 - Add more robust tracking of untitled vistrails. (913ed56d9445)
 - Add matplotlib upgrades and integrate new pkg with new identifier scehme. (79bcb5673781)
 - Support package identifier changes. (f77b92758c07)
 - Build up the API and refactor core application methods (de9cea46a623)
 - More updates to matplotlib package (44dff52c4da2)
 - Add port spec translation from schema 1.0.3 to 1.0.2 (616a1090bf4b)
 - Incremental/Online Layout  (80cb92674de6)
 - Spreadsheet: "Find Version" and "Save Camera" now works for unsaved, closed, and "saved as" vistrails (24243fd207fc)
 - DB support for Mashups (4e8da08d81b1)
 - Support backward comaptibility for packages that have not been updated to use the "vistrails." prefix when importing. (6ca1d510a773)
 - Updated persistence package to use dulwich, a pure python implementation of git (263b6f339e50)
 - PROV document can now be exported using the command line (script) (5f0b04c049e5)
 - Ticket #604: Add vistrail variable support to parameter exploration (04496edc9bfd)
 - Added PROV entities for input and output data (ae52faaadfa9)
 - Using Dublin Core metadata for PROV document (PROV exporter) (652099fe855d)
 - New version of the PROV exporter (03a0a2785e89)
 - First version of PROV exporter (9d32409c7118)
 - Serializable mixin class for modules (895fab7db230)
 - User does not need to create IPython controller manually anymore (ba7edbc30ca4)
 - Added support for SSH IPython engines in parallel flow (1a56f69a18e6)
 - IPython controller is stopped when closing VisTrails or disabling the package (704658297b0f)
 - Ongoing work on the exporter for the PROV model (704658297b0f)
 - IPython controller and engines are now started from VisTrails (4ec53425ca92)
 - Added information about the machine from each IPython engine (8a361420a384)
 - Map (parallel flow) can execute an outer subworkflow in IPython engines (949f9edb24df)
 - First version of package 'parallel flow' (ac162d9e7ccb)
 - Module / Group executions from the IPython engines are added to the provenance (518b3a4b1129)
 - Added some modifications in the code to allow the execution of workflow in IPython engines (d89b7f9861ee)
 - Forward error messages when connecting to other instance (0ad89de1cb2a)
 - Add uniform method for building descriptor, port_spec strings (9633bb6c1365)
 - Allow selected portions of the workflow to be relaid out (6f558cc3e697)
 - Add option to nicely layout workflows automatically (15ff124c6652)
 - runtestsuite now returns 0 for passed test runs (5d44f2879811)
 - Ticket #606: Copy parameter explorations between workflows (b8a25bc9bac8)
 - Updates to parameter explorations (696b83875d73)
 - Ticket #603: Parameter Exploration from command line (d5f554fa40e0)
 - Ticket #545: Make unset parameters accessible from the Parameter Exploration view (7b5cbe95bbf3)
 - Ticket #547: Migrate parameter exploration persistence to schema and controller (7b5cbe95bbf3)
 - Unset parameters can be used in parameter explorations (7b5cbe95bbf3)
 - New schema for parameter explorations (7b5cbe95bbf3)
 - Parameter explorations can be named (7b5cbe95bbf3)
 - Parameter explorations are visible in the workspace (7b5cbe95bbf3)
 - Parameter explorations can be accessed without the gui (7b5cbe95bbf3)
 - Improve exception message for invalid port specification (c01407d42d7c)
 - Improve error messages during package loading (2ea29738dd9b)
 - API: VisTrailsAPI.execute() now accepts the same parameters in core VistrailController.execute_current_workflow() (012a7e828338)
 - LaTex Extension: Added support for relative .vtl links in pdf and relative filenames in .vtl files (2329f7e6eb10)
 - AutoConnect: when dragging a new module into a workflow, try to connect it (5d6475919bb3)
 - Allow port_and_port_spec_match to match two port specs (e068f2a835e2)
 - Ticket #555: Move package-specific missing package handlers (42131938cd0f)
 - Support enumerations for parameters (571a24363dda)
 - Add gui support for different port shapes (9f7e54780c7b)
 - Show when ports are set by darkening the port (9f7e54780c7b)
 - Add visual cues for the number of connections set/needed/allowed (9f7e54780c7b)
 - Added port docstrings to the VTK package (49aa19ba2ce3)
 - Updated port documentation (befd489265d2)
 - Add schema support for max/min connections for ports (befd489265d2)
 - Native schema for Vistrail Variables (201b489e1c26)
 - Add load_package method to API (abbc89ef42dc)
 - Add load_workflow method to api (5786189661b2)
 - Automatically install PyQt4 on Fedora Linux (b11e69aafe2e)

Bug fixes:
 - Fixed spreadsheet capturing keys in other windows (aad252798fe6)
 - Fix issues with completions in port tables (f19e8a6e222a)
 - Ticket #692: Parameter exploration schema logic invalid (44a29f0422b8)
 - Fix translation bugs between schema versions. (6643e4dd610d)
 - Ticket #693: Issue with PortSpecItem ids (16413b49c806)
 - Fix ids on PortSpecItems (16413b49c806)
 - Ticket #691: Executing a parameter exploration without the spreadsheet fails (48ccd5a64f54)
 - Ticket #689: Mashups preview broken (3ea331e01abc)
 - Refactor get_pipeline_name calls and remove substring hacks (3d8a9c875288)
 - Fix QChar issue with parameter exploration (e07da85567a6)
 - Fixed invalid current_view causing setCurrentWidget to fail (c93061c00bcb)
 - Job Monitor: Could not run more than one job job in the same vistrail (609f09df5ce4)
 - Job Monitor: Could not delete job other than current pipeline (609f09df5ce4)
 - Job Monitor: Job for current pipeline was not stored on shutdown (609f09df5ce4)
 - Looping over a failing PythonSource caused logger to fail (3bdf9620dd00)
 - Ticket #678: Relational DB support for schema v1.0.3 broken (d54eb24cba1f)
 - Fix issues with PortSpecItem (d54eb24cba1f)
 - Ticket #680: Package configuration broken (20ba5b110fae)
 - Fix broken clipboard check for paste (a6d1cc7c840c)
 - Use codepath when identifier is not enabled when warning for old style imports (6a7f4a99a0c7)
 - Disabling a package did not select it in the Available Packages list (8f50dcf2d941)
 - Fixed vistrails->crowdlabs in latex/example2.tex (a95605ef12ab)
 - Module: controller was not set in default moduleInfo (7360a90e23cd)
 - Ticket #675: save_from_gui() is broken (482624c80e2e)
 - Fix issue with saving untitled vistrails (482624c80e2e)
 - Fix typo in application's convert_version (1866ec46e5ec)
 - Logging fails when Group executed by Map fails (fcb6d4b1b637)
 - VisTrails Server: fixed generating a pdf from a vistrail tree  (0a3d02e92b48)
 - Ticket #668: Commit 6cf6920 broke API tests (76887e74224e)
 - open_many_from_db should not be used with pre 1.0.2 schemas (e2b247f2c588)
 - Updated latex example files to use crowdlabs instead of vistrails.org (0314ecf38606)
 - Fixed generating an image of workflow graph from the command line (3f40090c5e12)
 - Images in thumbnails are now sorted by cell location (498081d7cdc5)
 - Errors in package dependencies method caused VisTrails to fail on startup (1adc3d25bf73)
 - Fix issue with intermediate persistent files not being found in the store when a uuid is already assigned. (72c89f5aa6ca)
 - Fix earlier noted issue with importing the registry in create_instance_of_type (78df1961b099)
 - Fix some issues with Windows paths and locators. (2e2c35df7dcf)
 - Ticket #662: VistrailController constructor does not set _current_full_graph (a3bcdf6cc7a2)
 - Push controller constructor calls through set_vistrail (a3bcdf6cc7a2)
 - Don't generate an error when a user attempts to drag a module into a non-pipeline view (f7abe1fd73b9)
 - Ticket #664: Debug Message Fails with AssertionError (5008bf52a105)
 - Ticket #661: Controller's current_version=-1 causes issues (c69b430e1701)
 - Fix issue with inconsistencies when current_version=-1 (c69b430e1701)
 - Ticket #590: Packages are not updated when userpackages dir is modified (88480456e2cf)
 - Fixed bug in matplotlib cell resizing (bbe9a6078797)
 - Vistrail Variable list was changing while being iterated over (99e60cf4dccf)
 - Saving log to prevoius version failed (d56da92fa406)
 - Fixed update_db script to work with master (04968e309d94)
 - Allow reading different versions of subworkflows from DB (c5a33a0b8ead)
 - Fixed loading wrong abstraction DB version (06a06be04889)
 - Fixed trying to write empty workflow list to DB (06a06be04889)
 - PipelineView: Execution exceptions were not caught which caused jobView to lock up execution (3b460bdb7c95)
 - Mashups: controller_changed caused widget to be redrawn even when the controller did not change (801c3b8e58a8)
 - Ticket #656: Control Flow Wizard is broken (95275d116c24)
 - Fixed deleting mashup alias using Del/Backspace key (1d68ccf02f81)
 - color picker widget gets orphaned in the alias inspector (1d68ccf02f81)
 - Fixed bug on PROV exporter (f7675297ad23)
 - Fix issue with Mac binary and the vistrails.py sys.path changes (09840f6c815b)
 - Save log to xml action was not enabled in menu (dbc83ce34917)
 - Ticket #641: PersistentInputFile not recognizing changes in the file contents (4f85d3d25ab9)
 - Fix issue where file changes were not being recognized (4f85d3d25ab9)
 - Ticket #639: Package details are not updated when a disabled package is selected in preferences panel (a251d6fe54a0)
 - Execution of workflows in IPython engines (ba7edbc30ca4)
 - Groups and Subworkflows can now have their execution log annotated (d89b7f9861ee)
 - Ticket #635: Error translating from schema 1.0.2 to 1.0.3 (5fbdbe702dcb)
 - Fix issue with whitespace between port spec items (816094bc7d64)
 - Ticket #577: Publish window always shows grayed out snippet (fc9c5e5e11ce)
 - Ticket #633: Automatic package download is not working on master (bce780145a5c)
 - Ticket #626: Passing parameters to single instance still opens second instance of VisTrails (0ad89de1cb2a)
 - CLTools: Modules were not reloaded after reloading scripts (283f8b57166b)
 - CLTools: "env" option was not reset in wizard when loading other tool (283f8b57166b)
 - Server mashup request need to use db user with write access (81c51908662c)
 - MissingPackageVersion exceptions need to be tied to specific modules (5d13c3e8292b)
 - Ticket #629: Issue with namespace (63a696d66c3b)
 - Fixed issue with reloading packages with namespaces (63a696d66c3b)
 - Allow only a single MissingPackage exception to be included in an InvalidPipeline container exception (a1401ec6afbb)
 - Fixed typo with ghosted pen color (a0bdae3f8c4a)
 - Ticket #627: Duplicate enable package messages (fb21c5c5e4b0)
 - Fix errors in parameter exploration when viewing invalid pipelines (fb21c5c5e4b0)
 - Do not emit errors from the query view when the selected version changes (9e1eb696ce67)
 - Ticket #617: Hard import from the v1_0_0 schema in opm.py makes it fail with other schemas (1c7b21fab942)
 - Fix OPM import (1c7b21fab942)
 - Windows: Saving vistrail zip xml fails when zip.exe cannot be located (d80fbb746549)
 - Ticket #624: unix /bin/ls check fails on fedora 17 (bcd044c4ff75)
 - runtestsuite.py should not care about empty string arguments (f417c703c364)
 - Fixed typo in parse/update for parameter types introduced in recent commit (133102abe14f)
 - #623 (133102abe14f)
 - Fixed issue with connecting tuple ports in the API (5eddcc1a9e47)
 - Ticket #621: Hidden ports that are used in connections are not set to visible (e40295454a40)
 - Fixed visibility of a connected port in ports panel (e40295454a40)
 - Fixed issue when connecting modules (2811ba5d4ff3)
 -  Fixed documentation file of CLTools that was causing a failure when building the pdf version of the usersguide  (a0c19535e7d6)
 - Ticket #618: Open Workflow from DB missing in file menu (61619a425285)
 - Ticket #614: test_abtraction_create fails in test suite (6885385a769d)
 - Preferences sometimes tried to set up a removed package (5d44f2879811)
 - SplashScreen was never deleted (5d44f2879811)
 - Ticket #613: triangle_area.vt fails on the map operator (ad4b579121c2)
 - Fix bug with obtaining port spec signature (ad4b579121c2)
 - Ticket #612: User-defined parameter exploration editor is problematic (7512a2d05434)
 - Fix issue with modified group signatures (b542543e1332)
 - is_running_gui missing in VistrailsServerSingleton (557586218e5a)
 - Fixed issue where OPM export could not resolve ports in parent modules (d084c5742ffb)
 - SUDSWebServices did not handle empty configurations correctly (0cfe904c59f4)
 - Ticket #583: CLTools: sometimes a module called CLTools is displayed (f2d755b24f53)
 - Empty packages could not be reloaded (f2d755b24f53)
 - PortSpecItem schema did not work on MySQL (b7556465275b)
 - Parameter Explorations were not being converted correctly from 1.0.2 (b7556465275b)
 - Parameter Explorations were not being loaded from database correctly (b7556465275b)
 - Saving a Vistrail failed when package manager was not available (b7556465275b)
 - Ticket #601: Connection port compatibility should be checked at a lower-level (f984fd5087c0)
 - Check port compatibility at controller level (f984fd5087c0)
 - Ticket #602: core api does not work in console (1d965a2cf952)
 - Add missing methods to GUI application (1d965a2cf952)
 - Ticket #599: Missing defaults cause exception when adding a function (a98e0a7962c8)
 - Ticket #594: Defaulted booleans added twice (ef684f869d62)
 - Fix duplicate boolean values when using defaults (ef684f869d62)
 - Update color of cached modules correctly and reset colors on re-execute (48981ae5cfbe)
 - Do not set module color back to active after it has been run (4f55071bb133)
 - Ticket #591: User-decorated modules do not change color during execution (86fe5d0ad9a1)
 - Module status brushes are checked first when setting the color of a module (86fe5d0ad9a1)
 - Ticket #592: Dragging a Group module into a pipeline causes an invalid pipeline error (bb2f60099e4c)
 - Guard against empty group modules (bb2f60099e4c)
 - Spreadsheet package: Checking if the GUI is running before trying to initialize the package. (c9d20070140c)
 - Catch exceptions when selecting invalid modules (3c3a6755adfa)
 - Ticket #586: Selecting an invalid module raises exceptions (cb6c5b161c57)
 - enabling/disabling package did not invalidate pipeline (1a280b63a745)
 - Ticket #585: Failed reloading of a package does not invalidate modules (057f031ee4c3)
 - Fixed issue where modules were not marked as invalid before validation (057f031ee4c3)
 - Ticket #584: Enabling a package adds it to the enabled package list even if there are errors (11125174c7ff)
 - Fix issues with package list in preferences (11125174c7ff)
 - Unselect port on mouseReleaseEvent (56f2d9aedf37)
 - SUDSWebServices: Offline Mode by storing WSDL in .vt file was not portable (eba546527401)
 - SUDSWebServices: Typo in handle_missing_module caused packages with wrong names (eba546527401)
 - Ticket #575: Vistrail variables panel has an overdraw problem (52c864c3ddb2)
 - Ticket #576: Analogies are only displayed if we change the focus out of VisTrails to another application and back (8c023062c639)
 - Ticket #539: Standard Module Configuration Widget asks to save when two ports are enabled (c9d5d03962b2)
 - Configuration widgets will prompt to save only when the current module change, making it easier to copy text from another application (c9d5d03962b2)
 - Ticket #569: Connected icon in Module Information does not disappear after removing connection (11e93fd142cb)
 - Loading an image from workflow graph or a version tree was not working in the command line (2329f7e6eb10)
 - Workflow results that used a VTKCell were consisting of a black screen when running in batch mode (49adb4fd6b5d)
 - Ticket #487: isosurface script version of terminator.vt causes vistrails to crash (76de9f741635)
 - Ticket #540: Vistrail is not always marked as changed when containing a vistrail variable (49cb21769a83)
 - Ticket #563: Temporary connection does not appear second time you create the same connection (3bd812f9cd6c)
 - Fix issue with temporary connection disappearing (3bd812f9cd6c)
 - Ticket #546: Selecting a version selects the text box instead of the version ellipse (a19863118684)
 - Ticket #550: Workspace state_changed is slow (bd734eb57838)
 - Ticket #553: Suspended module does not execute on second run even when notcacheable (8eb9f8d11575)
 - Parameter Exploration only worked on parameters from the Basic Modules package (75cca6574d0e)
 - Fixed minor issue with PortSpec shape and docstring attrs (aebf4f84b052)
 - Ticket #418: The database schema should use larger data types (75c7c6c89fdf)
 - Bug in translation from 1.0.3 to 1.0.2 (75c7c6c89fdf)
 - Fix issue with configure item grabbing mouse. (479a29491abc)
 - Removed capitalized methods from ports in VTK (49aa19ba2ce3)
 - Parameter Exploration: Changed call to update the progress bar to be thread safe (b9942f416fe1)
 -  Mediawiki extension: fixed undefined variable  (d3d68b1c53ab)
 - WorkflowExecution.completed were set to False in the vis_log, it should be an int. (50a2a68e177a)
 - DBVistrail.hash*Annotation() fails when annotation values are ints (3d7f1b9cc078)
 - Fixed path_to_figures and get_wf_graph_ calls in application_server (6df2c53cc880)
 - Do not import VTKCell unless we have the spreadsheet (a8b7c8345ee9)
 - HTTP Package now respects alternate dotVistrails setting (88b53249d96d)
 - The create analogy button is too small (65be8388e906)
 - "Show raw pipeline" and "construct from root" commands should switch to the pipeline view (dc2deb9ed6e0)
 - Fix command_line argv dependency (5786189661b2)
 - Mashups: slider and numericstepper widgets are only displayed for numeric aliases (3b8c4f954bce)
 - Mashups: Validating Min Max and Step edit boxes so they accept only numbers (3b8c4f954bce)

From release: v2.0.2 build 3813fdd2573b from v2.0 branch

Enhancements:
 - Added animation support to matplotlib/pylab (38fb971b6305)
 - Job Monitor Improvements (af8f43039c94)
 - Job Monitoring Tool View (3c43a8c5b3b7)
 - Add support for customizing which packages are (not) reloaded (91e18f8749a0)
 - Testing: Validate Workflows by comparing old and new thumbnails (401588f3bfdb)
 - Added saving/loading SubWorkflows to/from the DB as part of a vistrail bundle (0704f03b2011)
 - Ticket #628: Set the path to the vistrails tmp dir (f07b3223d16d)

Bug fixes:
 - Saving log to previous version failed (e66941c40e22)
 - Opened vistrails were not selected (14415ac3c709)
 - parallelflow: Do not deepcopy module dict (e66a6a3713ec)
 - Fixed matplotlib spreadsheet cell resizing issue. (45f803f0763c)
 - API: return result after execution (aec0ed019ac5)
 - Job Monitor icons were set incorrectly (d5e332c4e410)
 - Job Monitor did not delete job when vistrail was closed (d5e332c4e410)
 - Workspace: Sometimes selecting an open vistrail does not select it (e1f57079d0fd)
 - Ticket #651: Function remap upgrade operations performed in incorrect order (6aaa72017fa8)
 - Fix ordering in function remap (6aaa72017fa8)
 - Ticket #648: 'OutputPort' object has no attribute 'module_exec' (c9847fc14bb9)
 - Ticket #647: ModuleSuspended does not work inside Groups (c9847fc14bb9)
 - Ticket #645: Document py_import in dev guide (bf9a58708fa2)
 - Ticket #646: Reloading packages fails in some cases (91e18f8749a0)
 - Fix issues with package reloading (91e18f8749a0)
 - Fixed broken mimetypes on Windows (9aa51dd35301)
 - Ticket #643: cannot open workflow triangle_area.vt (67726aceba3b)
 - Ticket #625: Improve crowdLabs upload interface (7389abac0902)
 - Added DB version map 1.0.2->1.0.3 needed when downgrading the log (172301ad3858)
 - Saving abstractions do DB was missing version translation (45ebc5afa303)
 - Removed faulty import DBProvModel (6727b6ee2fe8)
 - Ticket #619: Create Analogy does not work on spreadsheet (39df0813e11c)
 - Fix issue with analogy api in the spreadsheet (39df0813e11c)
 - Ticket #638: Re-execution of SubWorkflow is missing parameters (294574341168)
 - Fix issue with subworkflow caching (294574341168)
 - Ticket #634: Package Documentation says port sigstring can contain spaces (dfc9db1f4dc5)

From release: v2.0.1 build 5e35e2b83b90 from v2.0 branch

Enhancements:
 - ALPS package: Updated to version 2.1.1 (4741aa04a9d7)
 - Support import of schema v1.0.3 (94bb430fa0f0)
 - CLTools: Preview command line arguments and module ports (6c737e297a60)
 - CLTools: Reload modules from the wizard (6c737e297a60)
 - CLTools: Add env port using wizard (6c737e297a60)
 - CLTools: Extended documentation (6c737e297a60)
 - CLTools: Ability to specify fixed environment variables for modules (6ece9152e511)
 - CLTools: Write changes in environment variables to execution log (6ece9152e511)
 - Added server function for seeing and enabling/disabling packages (1b7ad7717b31)
 - CLTools: Ability to set working directory (cbf02c561ccd)
 - CLTools: New arg type inputoutput that enables files be used as both input and output (692e3ce05961)
 - CLTools: You can now specify file endings for output files using the suffix option (692e3ce05961)
 - Ticket #582: CLTools: should support other types (c3b49457c3a5)
 - Added single instance check as a configuration option and a command line option (4032ca504171)
 - Improved exception message for invalid port specification (431802313d43)
 - Improved error messages during package loading (4175f8c09b4d)

Bug fixes:
 - Added the missing v1_0_3 directory for schema v1_0_3 support from master branch (916cf9162df8)
 - FileHooks for DBVistrail types should be skipped (94bb430fa0f0)
 - Check if package has been removed before setting package information (94bb430fa0f0)
 - CLTools: Modules were not reloaded after reloading scripts (6c737e297a60)
 - CLTools: "env" option was not reset in wizard when loading other tool (6c737e297a60)
 - Server mashup request need to use db user with write access (af73f32d44c0)
 - get_vt_graph_png was broken (af73f32d44c0)
 - Ticket #617: Hard import from the v1_0_0 schema in opm.py makes it fail with other schemas (2fefff447711)
 - Fix OPM import (2fefff447711)
 - Windows: Saving vistrail zip xml fails when zip.exe cannot be located (32bd4aa03c3b)
 - Ticket #624: unix /bin/ls check fails on fedora 17 (ee2cd7d1f6c3)
 - Ticket #621: Hidden ports that are used in connections are not set to visible (4cb7b1758bac)
 - Fixed visibility of a connected port in ports panel (4cb7b1758bac)
 -  Fixed documentation file of CLTools that was causing a failure when
building the pdf version of the usersguide  (3899208009dd)
 - is_running_gui missing in VistrailsServerSingleton (272006002712)
 - Ticket #618: Open Workflow from DB missing in file menu (8e413fc8f504)
 - Ticket #614: test_abtraction_create fails in test suite (2315d8e92026)
 - Ticket #583: CLTools: sometimes a module called CLTools is displayed (11107c05a73a)
 - Empty packages could not be reloaded (11107c05a73a)
 - Ticket #612: User-defined parameter exploration editor is problematic (deab533c7302)
 - Fix issue with modified group signatures (cd8e2467903b)
 - Ticket #464: VTK Package does not support VTK 5.10 release (65462fd17800)
 - Fixed issue where OPM export could not resolve ports in parent modules (cdc1a53bf496)
 - Fixed issue where modifying a defaulted parameter caused a second copy of the parameter to be added (d6924b42d821)
 - Ticket #602: core api does not work in console (ac85e1935819)
 - Add missing methods to GUI application (ac85e1935819)
 - Ticket #594: Defaulted booleans added twice (e90af069e58a) (d6924b42d821)
 - Fix duplicate boolean values when using defaults (e90af069e58a)
 - Update color of cached modules correctly and reset colors on re-execute (421ef3182f7b)
 - Do not set module color back to active after it has been run (1f6ea4ff45e3)
 - Ticket #591: User-decorated modules do not change color during execution (c53334a5e412)
 - Module status brushes are checked first when setting the color of a module (c53334a5e412)
 - Ticket #592: Dragging a Group module into a pipeline causes an invalid pipeline error (cd8b62b219a6)
 - Guard against empty group modules (cd8b62b219a6)
 - Spreadsheet package: Checking if the GUI is running before trying to initialize the package. (a71954b1639a)
 - Ticket #586: Selecting an invalid module raises exceptions (225f057294dd)
 - Catch exceptions when selecting invalid modules (225f057294dd)
 - enabling/disabling package did not invalidate pipeline (a363ed3f0151)
 - Ticket #585: Failed reloading of a package does not invalidate modules (46a6204cbab4)
 - Fixed issue where modules were not marked as invalid before validation (46a6204cbab4)
 - Ticket #584: Enabling a package adds it to the enabled package list even if there are errors (0593aad10533)
 - Fix issues with package list in preferences (0593aad10533)
 - SUDSWebServices: Offline Mode by storing WSDL in .vt file was not portable (6fa03241e9c6)
 - SUDSWebServices: Typo in handle_missing_module caused packages with wrong names (6fa03241e9c6)

From Release: v2.0 build 240bcab5bbcd from v2.0 branch

Enhancements:
 - Ticket #424: SUDSWebServices should store the WSDL spec in the .vt file to enable upgrades (88f616a741de)
 - Packages can store files in .vt zip files (88f616a741de)
 - .vt files using SUDS Web Services can now be edited offline (88f616a741de)
 - CLTools: package menu option for reloading all scripts (3c83b7101bc0)
 - CLTools: added Open Wizard to package menu (1f19d0a7339a)
 - Added CLToolsWizard.command file to Mac Binary (99adfd823a2d)
 - Ticket #430: use of absolute file names can be problematic in vtl files (2b731d8d5043)
 - LaTex Extension: Added support for relative .vtl links in pdf and relative filenames
   in .vtl files (2b731d8d5043)
 - Package requirement for the job submission package (77f3f1761f92)
 - Ticket #519: Executions in Version View that fail should change to pipeline (cea08c6e25d9)
 - Switch to pipeline view if an execution fails (cea08c6e25d9)
 - Ticket #557: Password dialog (f9739db121c4)
 - Ticket #559: Persistent modules do not work in groups (4ef2b8639b6d)
 - Allow modules in subpipelines to be cached (4ef2b8639b6d)
 - Added alps package to VisTrails 64-bit Windows Binary  (519d862a63f5)

Bug fixes:
 - Ticket #575: Vistrail variables panel has an overdraw
   problem (c4171c8aab63) (09815c35efb8) (7ca53292670a) (07fdeb8602a7) (45a4818a0b5c)
 - Ticket #404: Overriding a port via add_*_port does not work (47e72744ede1)
 - Ensure add_*_port can override ports in superclass port lists (47e72744ede1)
 - Ticket #523: Default values for parameters not showing (e3f1b1a3253f)
 - Add default support back in (e3f1b1a3253f)
 - Fixed spelling in repository.py (6c2259e84214)
 - SUDSWebServices: Wrong indentation caused vistrail save to fail (5497e50c727f)
 - Ticket #576: Analogies are only displayed if we change the focus out of VisTrails to
   another application and back (d782197a1cab)
 - Fix issue with redrawing the tree after analogies (d782197a1cab)
 - Running instance was not accepting parameters from another instance (63b58b8416d0)
 - Ticket #464: VTK Package does not support VTK 5.10 release (3e3700900ad0)
 - Ticket #445: mashup previews is not always shown in the main window (9111971ce8c6)
 - Now persistent cache works after one execution (87e8ff129b88)
 - Ticket #573: Opened vistrail fail when reloading dependent package (b1ff731d904a)
 - SUDSWebServices: Failed Web Services could not be removed (b1ff731d904a)
 - Execution button may hang when execution fails (b1ff731d904a)
 - Ticket #571: Vistrail variables cannot be used in more than one workflow (02f2acee1727)
 - Fix issue when setting a vistrail variable on multiple modules (02f2acee1727)
 - Ticket #574: Cannot add variable to empty detached Vistrail Variables window (4ae4f3d9c582)
 - Fixed issue with creating vistrail variables in an undocked panel (4ae4f3d9c582)
 - Ticket #539: Standard Module Configuration Widget asks to save when two ports are
   enabled (154525da1047)
 - Ticket #521: Annoying PythonSource behavior (154525da1047)
 - Configuration widgets will prompt to save only when the current
   module change, making it easier to copy text from another application (154525da1047)
 - QVistrailsWindow.get_current_view() was returning the wrong view sometimes (154525da1047)
 - CLTools: IOErrors when executing process (d810075f00a6)
 - Fix issue with analogies that also require upgrades (215ceae6ef1f)
 - Fix typo (50da981b6938)
 - Fix issue with remove vistrail variable modules and connections (c3183771c5ea)
 - Ticket #569: Connected icon in Module Information does not disappear after removing
   connection (9a68ec624c9d)
 - Fix issue with connected indicator for ports (9a68ec624c9d)
 - Eliminate duplicate warnings (f6020fa412bb)
 - Use lil_matrix for analogies (f6020fa412bb)
 - Modify logic of analogy usage to use current selected version (f6020fa412bb)
 - Ticket #419: Analogies fail on new terminator.vt (83c7735b0d28)
 - Change analogies to use a suitable default alpha value (83c7735b0d28)
 - Ticket #567: CLTools has issues reading man pages on Mac OS X (cdb5368df6fc)
 - Ticket #370: dataDirectory setting not used (73fe930b49ff)
 - Loading an image from workflow graph or a version tree was not
   working in the command line (2b731d8d5043)
 - Workflow results that used a VTKCell were consisting of a black
   screen when running in batch mode (80d55defb140)
 - Ticket #551: Cannot access messages window when preferences window is open (cc8fa8e6ad8a)
 - Ticket #487: isosurface script version of terminator.vt causes vistrails to
   crash (02caf56e6c0e)
 - Ticket #564: Invalid view warning (3b2062c17cb0)
 - Ticket #552: No visual clue when ubuntu package finishes installing (2f78b1b1d749)
 - Ticket #540: Vistrail is not always marked as changed when containing a vistrail
   variable (7acddff31ff1)
 - Ticket #566: QPixmap scaled error message (c6842a9fa320)
 - Fixed QPixmap scaled issue (c6842a9fa320)
 - Ticket #517: Undo menu item not working (a7b574defe31)
 - Fix undo/redo in pipeline view (a7b574defe31)
 - Fix issue with executions of untagged versions (36c1a73a46ae)
 - Ticket #560: Workspace has very inefficient updates (51a4e7982bb7)
 - Workspace: made loading mashups more efficient (51a4e7982bb7)
 - Ticket #562: "Save as" replaces items from workspace (d8fa58ccd9c0)
 - Ticket #560: Workspace has very inefficient updates (3dfac92ab688)
 - Partial fix to make workspace more efficient (3dfac92ab688)
 - Ticket #565: Version labels in query results are not gray (22e9920d1ea0)
 - Fix colors in query results view (22e9920d1ea0)
 - Ticket #504: The Query's refine option doesn't do anything (1fce254de2c5)
 - Reenable refined version tree in the query view (1fce254de2c5)
 - Ticket #532: Edit Package Abstraction Error (7c03b6999125)
 - Fixed issue with error message for editing package subworkflows (7c03b6999125)
 - Ticket #541: Crash when detaching ModuleInformation dockwidget on Mac (72c7afc3a95e)
 - Fix crash on undocking module info palette on Mac OS X (72c7afc3a95e)
 - Ticket #546: Selecting a version selects the text box instead of the version
   ellipse (5a7df50dd899)
 - Make version tree selection more intuitive (5a7df50dd899)
 - Ticket #538: Pipeline Connection Drawing? (ed11bdfffa54)
 - Fix connection drawing issue on Mac (ed11bdfffa54)
 - Ticket #558: Group signatures cannot be based only on interface (4ef2b8639b6d)
 - Fix issue with caching group modules (4ef2b8639b6d)
 - Fix initial layout of matplotlib cells (3a8d5c7c3d62)
 - Decreased level of debug message when removing elements from Thumbnails cache (18531d5fb280)
 - Ticket #534: Mashups hang with auto-update on (1472b6ba7f32)
 - Ticket #550: Workspace state_changed is slow (1ed823ecbb96) (b75607ea9271)
 - Ticket #556: Path to zip.exe not set correctly (d0389bec6df6)
 - Fix logic in identifier checks in package manager (1882ed36cd76)
 - Ticket #554: Port labels not displayed (a9454abc238a)
 - Add missing port labels to ports panel (a9454abc238a)
 - Ticket #553: Suspended module does not execute on second run even when
   notcacheable (3e22759385d3)
 - Ticket #549: update_db.py script does not work (fb5ad0eb480a)
 - Parameter Exploration only worked on parameters from the Basic Modules
   package (99969b93ece2)
 - Autoloading a SUDS Web Service no longer produce error messages (c079bd9c52db)
 - Ticket #513: Add detachHistoryView back (08bec17e40e6)
 - Ticket #543: Changes to persistence module configuration doesn't work (d03382c67e1d)
 - Fix issue where reconfiguring persistent modules caused unexpected behavior. (d03382c67e1d)
 - Show error message when trying to open a vistrail with a newer schema version (32f47804b6c7)
 - db_log_filename was not unset correctly for db cache (8fccb74ecab3)
 - Ticket #531: Export To Stable Version menu does not work (1b742a9f70cc)
 - Export to DB did not work (1b742a9f70cc)
 - Reloading a vistrail from the database gave it the name "None" (1b742a9f70cc)


From Release: v2.0-beta build 2d428fbd26cc from v2.0 branch

Enhancements:
 - Mashup View: Added float slider (b5d481049666)
 - New module execution state suspended added (cb47d3fc66b7)

Bug fixes:
 - Parameter Exploration: Changed call to update the progress bar to be
   thread safe (716501f8b2fd)
 - Fixed bug in iceCream.vt example (929ddcaa504a)
 - MySQLdb was not being shipped correctly in Mac binary (e50f1c91b3e8)
 - Mashup View: integer slider did not set step size correctly (b5d481049666)
 - Cached interpreter failed when handling wrong input type (b5d481049666)
 - Mashup View: failure when handling errors in execution that does not use the spreadsheet (b5d481049666)
 - Fixed qt.conf problem in installer script files on Windows. (a01fabd12456)
 - Fixed arguments of get_wf_graph_png rpc call (7cc451bdb606)
 - updateUpstream* failed when modules did not contain the suspended attribute (256f4b4dd8a5)
 - Mediawiki extension: fixed undefined variable  (334083cc69e1)
 - WorkflowExecution.completed were set to False in the vis_log, it should be an int. (cb47d3fc66b7)


From Release: v2.0-beta build 10836452c19a from v2.0 branch

Bug fixes:
 - Fix issue with deleting modules and connections (10836452c19a)
 - VTK package: fix problem when upgrading vtkCellArray.InsertNextCell input port (e29a873af4a1)
 - Ticket #525: The create analogy button is too small (bf61e06b0a50)
 - Ticket #526: "Show raw pipeline" and "construct from root" commands should switch to the pipeline view (3ada5972d872)


From Release: v2.0-beta build b074d3a4eb44 from v2.0 branch

Enhancements:
 - Added VisTrails Server documentation (611f2082f98d)
 - Add more functionality to core.api (26c775f0a7bb)
 - Ticket #518: Need to fix VTK ports with no parameters (9a985c40f6a2)
 - Add separate workflow and log xml schemas (04cb36cc5305)
 - Added support to hardcode necessary packages on startup (834e28f7cfa4)
 - CLTools: Added enviroment variable and default directory support (5a6e1b0daba3) (7c9a113040c2)
 - Add operation ids to messages about illegal operations (087b235e32de)
 - Remove most PyQt4/gui dependencies in core functionality (e6ada340cc15)
 - Ticket #55: Spreadsheet should have more shortcut icons (5f4db41dc8f2) (127037be178f)
 - Ticket #284: Capturing Module Errors (60c055eff8f5)
 - Display module toolTip errors in module stack trace dialog (60c055eff8f5)
 - Wizard for CLTools - gui for wrapper creation (a7a1db436fd0)
 - Added support for html and mediawiki extensions to
access a remote vistrails server  (dd7456507ab4)

Bug fixes:
 - Mashups: editing an alias' values list had no effect (c485a7433dde)
 - Mashups: slider and numericstepper widgets are only displayed for
   numeric aliases (c485a7433dde)
 - Mashups: Validating Min Max and Step edit boxes so they accept only
   numbers (c485a7433dde)
 - Accessing Module Annotate from context menu did not work (ac100b566d84)
 - Fixed problem where unrequested vistrail temporary files were being created during test suite (445e2b68d9e6) (1a539cad8a9a)
 - Fix issue with alternate .vistrails directory and its subdirectories (7d26c36ef77a)
 - Fixed MissingRequirement path and ubuntu detection (11dd911b66a3)
 - Ticket #528: Install bundle fails with the new core_no_gui changes (87f9e83772ea)
 - Rendering version and workflow view in server failed because of new gui in 2.0 (e149aa955dd5)
 - save_many_to_db failed when list of objects were empty (ed257eb2d523)
 - Vistrail server need to initialize theme after core_no_gui changes (c4d2809d9a09)
 - Fixed server mode after merge with core_no_gui (4c2cad40c30f)
 - Ticket #522: remove_connection failure (cc038a500e3c)
 - Fix for remove_connection issues (cc038a500e3c)
 - Fixed issues with tabbing in the python editor (c046c86bf0af)
 - Fixed issue with vtkInteractionHandler which was not updated when the Save/Revert changes were made to source widgets (8abbfb8a51e9)
 - Allow zero-parameter functions to be set from ports panel (9a985c40f6a2)
 - Fixed issue with forced versions on modules (4ae602caa09e)
 - Fix issue with merging thumbnails (5bcaa7e75c6d)
 - Fixed typo in core.application's register_notification (42c7ae6b0e25)
 - Argument error caused gui/vistrail_controller test to fail (e447e02b37ca)
 - CHEBI wsdl changed (a7f1ab43159d) (6e00beb17ce6)
 - Removed matplotlib backend selection warning (23a6e3a89001)
 - Dragging a version directly on a spreadsheet cell was not executing
   the workflow (3395a01a2139) (66d49a064e59)
 - Fixed unable to display jpeg images in the spreadsheet
due to a wrong Qt plugins configuration (a6a1950024a7) (333456765278)
 - Display more meaningful error when persistent inputs do not exist in a repository (1c905da96eb1)
 - Fix issue in ModuleDescriptor.expand_descriptor_string (7b973b4a4aeb) (35f1feb4d853)
 - Add icons to CLTools so that they not only work on X11 (a6a08bc1dd4e) (69110931c4e3)
 - SourceConfigurationWidget silently fails when code contains
   non-ascii characters (0c020878edf3) (768fc8ed4df5)
 - MultiHeads configuration was not working on 2.0  (669957620bdc) (07e9672e6186)
 - Ticket #513: Add detachHistoryView back (f238870a17fe) (38a3b95d1b5d)
 - Added back detachHistoryView option (f238870a17fe) (38a3b95d1b5d)
 - Removed configuration options that are only used in non-interactive mode
   from Expert Configuration (bb0046fe6f49)
 - Ticket #515: opening a specific version from the command line does
   not work (20ab44a5a4ce) (468fe95d351f)
 - Fixed opening a specific version from the command line (20ab44a5a4ce) (468fe95d351f)
 - Ticket #512: Add how to create alias to users guide (83e49a3d487b)
   (d56e02d30133) (a6249193e674) (f5b881191441)
 - Ticket #421: db version import error handling (a6eb8ae65052) (6ac6c0abec6e)
 - Detect between when a db version is missing and when it contains
   an error (a6eb8ae65052) (6ac6c0abec6e)
 - Ticket #391: Module colors in Visual Diff are wrong after upgrades (6b16033351a9) (c28166f2110b)
 - diff view did not use correct brush for non-upgraded modules (6b16033351a9) (c28166f2110b)
 - autosave feature caused "new file" action to fail (9b19a0fc5193) (6c49e4329b8a)
 - Ticket #511: "export workflow as xml" adds extension as "..xml" (two dots) if
   not explicitly specified (39d605e721e5) (fb2061eec506)
 - get_save_file_locator_from_gui was adding two dots (39d605e721e5) (fb2061eec506)
 - SpreadSheet: prompt the user to save unsaved vistrails before trying
   to save a spreadsheet (d296dae6e508) (5e29113d0694)
 - Ubuntu Unity did not restore menu bar after being closed (3d702340c1fa) (719ad4dd22b5)
 - Param Exploration User-defined function did not work because of new python
   editor interface (8354a9340944) (0f62ec4023c7)
 - Ticket #510: The Spreadsheet can't open/save spreadsheets (9259d3b8d619) (ae73b7e48971)
 - Ticket #194: Copy and paste duplicates aliases (7419092665c4) (27ee5e68a7e3)
 - Ticket #480: Executions button doesn't work (c6a9a6ac15cf)
 - Ticket #500: Double-clicking the Execute button causes VisTrails to Hang (e024a352c6ce)
 - Double clicking execute button no longer hangs vistrails (e024a352c6ce)
 - Ticket #508: Add port documentation back to ports panel (01f189a1a184)
 - Ticket #505: Version notes are not always visible after an upgrade (d16b3c834c47)
 - Issue correct version_selected signal after upgrades (d16b3c834c47)
 - Ticket #502: change_selected_version causes key error in adjacency_list (25104a599816)
 - Ticket #472: parameters in parameter exploration are reset if not executed (d07bcbd5104b)
 - Parameter exploration with Color Constant was not working (b0e0da8cc61b)
 - Ticket #462: Ungrab mouse error after editing subworkflow (2ffac0767f88)
 - Ticket #432: Problem with labeling groups (2ffac0767f88)
 - Allowing opening vistrail files that contain mashups. Mashups will be ignored (7d568fec386f)
 - Ticket #454: Can't interact with TransferFunction widget using Qt 4.7.* (f897a8e68285)
 - Fixed header placement in xml files that were causing tests to fail (a76060081c31)


From Release: v2.0-alpha build c4e3600b6481 from v2.0 branch

Enhancements:
 - Wizard for CLTools - gui for wrapper creation (de5fbcd6144a)

Bug fixes:
 - Ticket #508: Add port documentation back to ports panel (d83b2637f5b5)
 - Ticket #502: change_selected_version causes key error in adjacency_list (815d38ff608a)
 - Ticket #472: parameters in parameter exploration are reset if not executed (829303e1efeb)
 - Parameter exploration with Color Constant was not working (ecfbedcd4406)


From Release: v2.0-alpha build 1b88c3949efd from v2.0 branch

Enhancements:
 - VisTrails now requires Python 2.7.*, Qt 4.7.*, sip 4.12.2 and PyQt4 4.8.4 to run
 - Reworked VisTrails interface. Added Workspace palette where user's vistrails
   are kept. Users can open multiple pipelines in different tabs that are
   detachable.
 - In addition to Pipeline, History, Query and Exploration Views, new views were
   added, including Provenance and Mashup views. The Provenance view displays the
   execution logs of a vistrail. The Mashup view allows creating simple
   applications based on workflows by exposing only the relevant parameters.
   See the VisTrails manual for detailed instructions.
 - Merged the "Methods" and the "Set Methods" panel into an improved
   "Module Information" Palette. Now port visibility, connectedness, and
   parameters are shown in a single display. Thus, for module types without
   special configuration widgets, there is no need for a separate configuration
   window.
 - CLTools - package for wrapping command line tools (3ac68958d3db)
 - Expand search results to include all open vistrails (b2a069e38956)
 - Opening exported mashups using Open menu will execute them automatically (48cefab0a019)
 - Added support for exporting a mashup to a .vtl file. To export a mashup, just
   click the "Export" button in the mashups inspector. Double-clicking the .vtl
   file will execute the mashup in VisTrails (09203c1e12b8)
 - Show parameters for invalid modules (7078566f7b89)
 - Changed "Keep" button to "Tag" in the Mashups View (5ed3637c2d6f)
 - Open subworkflow from module palette (c48a11df430f)
 - Executions in provenance view are now given names based on the
   "tagname + n" naming scheme (31a4a94cf967)
 - Update executions in workspace when they are created (8b7b85229c64)
 - Make pipeline current when selected in provenance explorer (49e93f5f789d)
 - Remove gui dependencies for core.modules widgets (1b8487908620)
 - Improved default query support (b9fed84af41a)
 - Added color difference support for queries (b9fed84af41a)
 - Mashups: made keeping the camera across updates as an option (1642d3573f62)
 - Add extensible query support (0df170d3335d) (5d776c28b7e2)
 - Workspace now updates Workflows and Mashups as they are created (429ceb313408)
 - Expand Workflows/Mashups items by default (429ceb313408)
 - Ticket #479: Dropdown boxes have white text (677a0b750762)
 - Added support for html and mediawiki extensions to access a
   remote vistrails server  (2eba04217a99)
 - Displaying mashups in workspace. Double-clicking a mashup will show
   version tree, select corresponding version and execute the mashup. (3df2af8d8cb2)
 - Added support for multiple PythonSource configuration windows. Read-only
   windows can be detached from the main module onfiguration window. (372c0143f6b6)
 - Remove workspace entry when selected file has been deleted (8bdd77c78fe2)
 - Workspace can show workflows in a tree view (c715b4a84a38)
 - Added a Control Flow Assistant (f05f014bc778)
 - Added Vistrail Variables support, so that modules deriving from Constant can
   be used to create re-usable variables (a83402e0c218)
 - Added support for cross-vistrail diffs (c300063531e8)
 - Perform visual diff from workspace by dragging pipelines together (dd83c3f08cea)
 - Simplify visual diff and improve parameter changes display (65849c433682)
 - Search results show up in workspace window (f3a763972866)
 - Improve query handling (e4b0722b1d70)
 - Added support for opening a vistrail in a separate window (f502431ae11b)
 - Added Expand All and Collapse All buttons to Module Palette (264410835b7)
 - Added annotations to WorkflowExec in v1.0.2 schema (0ade1076517b)
 - Provenance browser now shows status icon in list (fc112c4c1079)
 - Autosort module palette (de80a5b0fb1c)
 - Added merge by dragging vistrail to vistrail (6bb73281842a)
 - Executable paper editing (3a96ea787a82)
 - PythonSource editor will now indent newline to previous line (e221d10351d1)
 - Improved PythonEditor class using QScintilla2 (d737455457db)
 - PythonSource editor will now indent newline to previous line (d1e5d63bd715)
 - Enhanced query capabilities (0e5f60ce0d91)
 - Added support for interpreter to execute a pipeline with an extra list
   of parameter values. Updating VistrailController calls to also accept
   the new list (db6e4611305)
 - persistence package now hides file references instead of deleting them (ae3d19282ef4)
 - Added versioning for SUDS Web Services using content hash (47279d4246bf)
 - Improved PythonEditor class using QScintilla2 (5ed5953f57b9)
 - ParaView package: Added ScalarBarWidgetRepresentation to Rendering
  namespace in modules list.  (7429a1be15cf)
 - Add better provenance information for persistent entities (22964cfeb53b)
 - New manager for persistent store (f0dafc611fd0)
 - Improved efficiency of vtk workflow upgrades (3736cc9ef269)
 - LaTex extension: Added an example for embedding local files (be50aeab59ca)
 - Group SQL statements to enable faster DB communication (b520f1c847c8)
 - ParaView package: Added server configuration window options to
package configuration and loading initial values from there. Also added
option to start paraview server when the package is initialized.  (9023c13aa76b)
 - Ticket #408: Allow opening multiple PythonSource Editors (73e72b8419a8)
 - Ticket #411: Support temporary directories in the FilePool (7eb29d2ba0fb)
 - Initial version of a GIS package that uses QGIS (4cd7cc6df8db)

Bug fixes:
 - VTK Package: Call to ResetCamera() in vtkRenderer was producing wrong
   results (d5789e5a560b)
 - Ticket #499: Issue with BaseView.layout (9dc74870fde7)
 - Fix issue where 'layout' was an overloaded field name (9dc74870fde7)
 - Ticket #494: Tuple configuration is confusing and causes configuration errors (30bc134d5cdb)
 - Ticket #498: Need to update code to show parameters for invalid modules (8da733c07199)
 - Enable showing invalid function and show parameters in separate fields (8da733c07199)
 - Updated version of suds python library on both Windows and Mac binary.
 - Ticket #488: configuring webservices breaks vistrails (090a45a95f19)
 - Ticket #456: Cannot copy/paste in detached pipelines/vistrails (970ec4ecfb42)
 - Ignoring action updates when the view does not have the actions (970ec4ecfb42)
 - Make provenance view read-only (9774b9e2928e)
 - .vtl files marked to be executed when opening were not executed (09203c1e12b8)
 - Ticket #496: Showing/hiding module ports resets module position (c073ff4bf200)
 - Keep module position when changing visibility of ports (c073ff4bf200)
 - Ticket #488: configuring webservices breaks vistrails (b8a935d8bbae)
 - Ticket #495: vtkCellArray won't allow multiple points through
   InsertCellPoint (0dcbf136aeb8)
 - Fixed issue with ports that may have multiple functions associated with
   them (e.g. in the vtk package) (0dcbf136aeb8)
 - Ticket 481: Optional Output Ports collapse to non-Optional ones (7463f214023b)
 - Fixed the issue of being unable to activate windows under Mac OS X
   Lion. (7463f214023b)
 - Mashups: Fixed bug introduced when removing gui
   dependencies for core.modules widgets (76a998022666)
 - Ticket #492: Upgrade error: signatures differ (5a70996965f8)
 - Add upgrade for PythonSource to fix issue with 'self' port (5a70996965f8)
 - Fixed messages during upgrades so that upgrade info is not flagged as
   a warning (8714561fed05)
 - Mashups: creating aliases in mashup view was not updating the alias
   table (770f755d089d)
 - Ticket #491: Opening a .vtl will always create a new file (3a25858be1ac)
 - Opening vtl files: igonring showSpreadsheetOnly if execute is false (3a25858be1ac)
 - Starting VisTrails by double-clicking a vistrail file was
   not zooming the current pipeline view (3a25858be1ac)
 - Can now delete from workspace using backspace key (d3f7af2868b0)
 - Remove vistrail from workspace if removed from disk (044a841b97e9)
 - view.is_abstraction logic fixed (044a841b97e9)
 - sql package was not using new gui.modules.source_configure (1714703fb145)
 - Updated VTK, Persistence and Matplolib packages to use
   gui.modules import (f953ce4d25e4)
 - get_current_view bug caused double-clicking a vistrail to fail (00b264c0920b)
 - Ticket #489: VisTrails 2.0 can't open .vtl files anymore (2d450422c25b)
 - opening .vtl files fails (2d450422c25b)
 - Ticket #460: Subworkflow port naming errors after editing (687becdff050)
 - Fixed issue where subworkflow edits could result in one-to-many
   port mappings. (687becdff050)
 - Fixed issues with multiple versions of subworkflows appearing in the
   module palette (186d5c06a788)
 - Do not store subworkflows in "recent files" or "My Vistrails" (17aebdbd32fa)
 - workspace.item_selected had invalid setSelected call (3effd7a1385b)
 - Fixed 2 detach view bugs (3f5159f5b49f)
 - Ticket #468: Diff tab should have all modes except pipeline
   disabled (4f691ba6ed23) (139ec1d18b22)
 - Fixed an issue when loading a vistrail that references different versions
   of a subworkflow that share common ancestors (4b34089abb09)
 - Ticket #486: query execution and parameter problems (323f12916d09)
   (0262b0410051) (d9fbb412a9b5)
 - Added ability to open workflows from query results (323f12916d09)
 - Ticket #484: subworkflow save causes window to change (bc100442dfe4)
 - Fixed issues with executing queries (0262b0410051)
 - Fixed issue where numeric comparisons were being done as
   string compares (d9fbb412a9b5)
 - Fixed issue where substring queries were backward (d9fbb412a9b5)
 - Fix an issue with copy/paste to query view (b9fed84af41a)
 - Fix issue with package subworkflows and namespaces (87c7c61f1c9e)
 - Ticket #476: numeric stepper has wrong default value, in some cases
   (1642d3573f62) (a08e8dc0f9c2)
 - Ticket #485: Random Mashups Window (917b1d8b83c5)
 - Allow return to original query in interface (0df170d3335d)
 - Allow parameters to be set in queries (0df170d3335d)
 - Allow return to original query in interface (5d776c28b7e2)
 - Allow parameters to be set in queries (5d776c28b7e2)
 - Ticket #478: Mashups updating issues (e5913008d81c)
 - Mashups: Display Widget section was not updated when
   switching aliases (e5913008d81c)
 - Mashups: Mashup inspector was not updated when switching
   vistrails using the workspace in Mashups View (e5913008d81c)
 - Mashups: Mashup Pipeline Palette was not being updated when
   switching mashups using the Mashup List Panel (e5913008d81c)
 - Ticket #483: Index error when recovering a vistrail (8589b301ba13)
 - Fixed issues with upgraded subworkflows (9c4dfcbef423)
 - Ticket #475: Changing the background color fails in Mashup mode (31670c3e66f2)
 - Ticket #477: opening mashup from workspace doesn't show exposed
   parameters (429ceb313408)
 - Sometimes closing a vistrail while closing VisTrails fails (429ceb313408)
 - Double clicking a vistrail in file browser fails because of
   _first_view bug (263f1947cf2c)
 - vtkhandler did not handle new PythonEditor correctly (aa3511259f10)
 - Ticket #443: ports are not added through Module Configuration
   and annoying confirmation (01ed7a6566b3)
 - Ticket #473: Cannot execute from history view immediately after
   opening vistrail (e0ba2e97d058)
 - Ticket #472: parameters in parameter exploration are reset if
   not executed (63c55f11f03d)
 - Ticket #474: Error quitting when spreadsheet is visible (afe4512b1ca9)
   (107b24e904ea)
 - Ticket #470: copy doesn't copy to the correct cell (c44347501d5a)
 - Fixed issue with cell locations in spreadsheet editing mode (c44347501d5a)
 - Ticket #471: visual diff window is missing the create analogy
   button (14a24ea42b15)
 - Ticket #469: locate version in editing mode selects history but shows
   pipeline (080a2dc8b820)
 - Opening xml vistrail from workspace showed open file dialog (069db5448e8e)
 - Module documentation in module palette not working (647613ad637e)
 - Ticket #467: A file is changed when test suit is run (37e0ab607139)
 - Ticket #466: history mode selected and pipeline view shows up after
   merging 2 trees (e22fe0a4f8b0)
 - Ticket #459: the explore tab draws upside down (542e2cda8845)
 - Outdated inspector.annotated_modules value caused explorer tab to be
   drawn upside down on Mac (542e2cda8845)
 - Ticket #446: subworkflow editing only good for one save (2ab6a92c2084)
   (85b50d980ab1)
 - Fixes to subworkflow upgrades and save as (2ab6a92c2084)
 - Changes to subworkflow identification (85b50d980ab1)
 - Ticket #465: Open Recent menu does not contain saved vistrails (a484b18b3eed)
 - Update recent files list also when vistrail is saved (a484b18b3eed)
 - Ticket #463: Current version not selected on open (154e9b2e8eaa)
 - Select latest version when opening a vistrail (154e9b2e8eaa)
 - Ticket #462: Ungrab mouse error after editing subworkflow (6aaa6bd2b526)
 - Ticket #432: Problem with labeling groups (6aaa6bd2b526)
 - Ticket #461: Initial history view for first vistrail is not zoomed to
   fit (b3d8909ac0ed)
 - Fix zoom to fit for initial vistrail (b3d8909ac0ed)
 - Ticket #434: Can't remove tags of versions that were
   upgraded (v2.0) (47636de1ec66)
 - Fix issue where raw pipeline and construct from root were not
   working (47636de1ec66)
 - Enabled Embed version by default when selecting Publish > To Paper (8bf5e737a2c2)
 - Ticket #456: Cannot copy/paste in detached pipelines/vistrails (0cb6ef7650af)
 - Fixed issues with spreadsheet editing for copies and analogies (d2d4bae51a6d)
 - Enabled Edit Configuration and Show Documentation from a module's
   context menu  (00dcb21d22a6)
 - File > Export > PDF was not working  (fce8cc569c14)
 - Ticket #455: Module Information Tab stretches unnaturally when package
   has a long name (2d07662227fd)
 - module information stretches unnaturally (2d07662227fd)
 - Ticket #457: PythonSource ports are not updated when configuration window
   is saved (f6e151300476)
 - Ticket #456: Cannot copy/paste in detached pipelines/vistrails (f9470d9fa04a)
 - Removed missing web service (028fc4e03c62)
 - Fixed header placement in xml files that were causing tests to fail (4db41b9e2e75)
 - Workspace fixes for saving empty vistrail and closing detached
   vistrail (1f798a7a0c84)
 - Ticket #454: Can't interact with TransferFunction widget using
   Qt 4.7.* (ea7e21dc9e01)
 - Ticket #453: Workspace indexing error in tree mode (f8b17ab82b9b)
 - Skip workspace make_tree when no window exist (f8b17ab82b9b)
 - Ticket #450: Indexing failures need to be more graceful (f76532828242)
 - Better error handling when indexing workflow (f76532828242)
 - Ticket #452: Visual Diff Parameter Changes not detected (65849c433682)
 - If the clipboard contained utf-8 characters, VisTrails would raise
 an error (d7cecf541ced)
 - QPipelineScene.addModule were calling addItem twice (d77e833f431f)
 - Dropping vistrails variable created error (8c0b0e921201)
 - Fixed export/import menu options (8d68b5b56ff3)
 - Fixed parameter exploration in v2.0 (8485390429b1)
 - Parameter exploration was not saving color parameters when they
were being interpolated (8485390429b1)
 - Fixed 'Diff properities' label typo (8a88bd21895a)
 - Removed close button from Vistrails Messages view (2581ea446bad)
 - Ticket #441: vistrail browser is not being updated (d892cd18e5b8)
 - Correctly update collection on load/save (d892cd18e5b8)
 - Show project selector (d892cd18e5b8)
 - Sort default project by name (d892cd18e5b8)
 - Ticket #435: diff result is not properly sized/centered (96c4adaa2a1a)
 - Show executions for the current session as well (fc112c4c1079)
 - Workspace threw exception when closing vistrails (47ae1c3c4428)
 - Fixed crash when running VisTrails 64-bit on Windows with more than 4GB
   of RAM (71b4bfc41a6d)
 - 2 bugfixes to the vistrail merge code (4f05a96bcc2c)
 - open merged vistrail in new tab and other fixes (556804ba40c4)
 - builder_window was stealing ctrl-z/ctrl-y from PythonSource (e221d10351d1)
 - Made new PythonEditor use correct font (2579b6f662ca)
 - removed self reference in static method in persistence package (12e57882a72b)
 - open merged vistrail in new tab and other fixes (971228751494)
 - Fix menubar issue on non-Mac platforms (9d5e66156935)
 - persistence package did not show dates correctly (357f3a55aaf5)
 - Spreadsheet package: Fixed a typo on the usage of issubclass() which prevented
   subclassed sheets to be used by the spreadsheet (8bcd8ac86cd4)
 - SUDSWebServices wsdl caching in Windows need to use pickle
   protocol=0 (4ca71139f604)
 - SUDSWebService wsdl hash did not use the correct wsdl string (4ca71139f604)
 - Fix issue with caching and persistent files (f56f14061d3f)
 - ParaView package: Fixed example pipeline where it should display
   both a box and a sphere.  (7429a1be15cf)
 - VTK Package: Fixed bug when drawing TransferFunction widget (daaacfcedfca)
 - Handle unnamed data when writing from manager (22964cfeb53b)
 -  Fixed infovis example  (7d6a0dace8ca)
 -  Fixed NOAA Web services example. NOAA had changed the urls
for their services  (7d6a0dace8ca)
 - Do not import MySQLdb directly in sql_dao (b1d1809c0d57)
 - Ticket #420: VisTrails fails to install package dependencies on Ubuntu (35cd1cceeded)
 - debug imports cause ubuntu package install to fail (35cd1cceeded)
 - Ticket #416: The log is not copied when saving a vistrail from database to disk (1af107087fbe)
 - Include log when copying vistrail from DB (1af107087fbe)
 - LaTex extension: When generating LaTex command using the Embed panel,
 make sure to enclose tag between {} so symbols are escaped. (be50aeab59ca)
 - LaTex extension: Fixed problem when passing envrionment variables
using \vistrailsenv{} (be50aeab59ca)
 - Ticket #417: Database INSERT statements are not protected from overflowing (b520f1c847c8)
 - Overflow checking for SQL datatypes (b520f1c847c8)
 - Changed memory size to be computed in megabytes instead of bytes
to avoid large numbers (4d21156d99f5)
 - Ticket #414: Focus out event on Tag version edit box generates an unnecessary
   vistrail change event (6dc3154542ba)
 - Media wiki extension: casting returned version of a given tag to
string before using it (6dc3154542ba)
 - Ticket #412: Parameter exploration on File parameters fails (e54b74bb9412)
 - Fix parameter explorations on File parameters (e54b74bb9412)
 - Added ability to create temporary directories in the FilePool (7eb29d2ba0fb)
 - LaTex extension: added support to work on Windows with MikTex (2bdfb94be496)
 - LaTex extension: changed behavior of passing environment variables -
passed variables will not replace existing ones, they will be inserted at the
beginning (2bdfb94be496)
 -  Removed warning when copying thumbnails fail because the files are the
same (2bdfb94be496)
 -  New log file was not being created on Windows when the version was
upgraded  (2bdfb94be496)
 - Ticket #410: Encode VTK changes as upgrades (fa2e48cedf06)
 - Attempt to implement VTK upgrades (fa2e48cedf06)
 - Ticket #409: Problem in workflow upgrade (5d57b4ce54b3)
 - Fix issue with upgrading modules with null functions (no parameters) (5d57b4ce54b3)
 - Ticket #407: Aliases in a workflow disappear after upgrade (843603916a48)
 - Preserve aliases during upgrades (843603916a48)
 - Replaced more GUI code that would work only on recent versions of Qt/PyQt4 (7cfcb98320ee)
 - Replaced code that would work only on recent versions of PyQt4 (e5ca41c3fab7)
 - Enabled with_statement for python2.5 (3ec5bdd47c3e)


From Release: v1.7 build 325bfe1b517d from v1.7 branch

Enhancements:
 - VisTrails is now distributed under the "Modified BSD License"
 - VisTrails binaries are now shipped with python 2.7.1, Qt 4.7.2, sip 4.12.2,
   PyQt4 4.8.4, vtk 5.6.1, numpy 1.5.1, scipy 0.9.0 and matplotlib 1.0.1.
Bug fixes:
 - Importing basic_modules.py leads to import loop (325bfe1b517d)
 - VTK Package: Fixed bug when drawing TransferFunction widget (7722fc6727aa)

From Release: v1.6.2 build af4a69ad566a from v1.6 branch

Enhancements:
 - Adding pdf version of Usersguide to binaries.  (60cec4e6d858)
 - Improved efficiency of vtk workflow upgrades (501a552cd722)
 - LaTex extension: Added an example for embedding local files (f5976c82826f)

Bug fixes:
 - Fixed infovis example  (bd810b67daaf)
 - Fixed NOAA Web services example. NOAA had changed the urls
for their services  (bd810b67daaf)
 - Added matplotlib mplot3d toolkit to Mac binary (5054da25e2e8)
 - Ticket #410: Encode VTK changes as upgrades (aeaa56469120)
 - Attempt to implement VTK upgrades (aeaa56469120)
 - Ticket #420: VisTrails fails to install package dependencies on Ubuntu (5180336d429d)
 - debug imports cause ubuntu package install to fail (5180336d429d)
 - LaTex extension: When generating LaTex command using the Embed panel,
 make sure to enclose tag between {} so symbols are escaped. (f5976c82826f)
 - LaTex extension: Fixed problem when passing envrionment variables
using \vistrailsenv{} (f5976c82826f)
 - Changed memory size to be computed in megabytes instead of bytes
to avoid large numbers (5f57a040c97c)
 - Ticket #414: Focus out event on Tag version edit box generates an unnecessary vistrail change event (460836e2206e)
 - Media wiki extension: casting returned version of a given tag to
string before using it (460836e2206e)
 - Ticket #412: Parameter exploration on File parameters fails (7630f10fb73c)
 - Fix parameter explorations on File parameters (7630f10fb73c)
 - LaTex extension: added support to work on Windows with MikTex (36322a953de2)
 - LaTex extension: changed behavior of passing environment variables -
passed variables will not replace existing ones, they will be inserted at the
beginning (36322a953de2)
 -  Removed warning when copying thumbnails fail because the files are the
same (36322a953de2)
 -  New log file was not being created on Windows when the version was
upgraded  (36322a953de2)
 - Ticket #409: Problem in workflow upgrade (040f46c2f980)
 - Fix issue with upgrading modules with null functions (no parameters) (040f46c2f980)
 - Ticket #407: Aliases in a workflow disappear after upgrade (5575069d2727)
 - Preserve aliases during upgrades (5575069d2727)
 - Replaced more GUI code that would work only on recent versions of Qt/PyQt4 (2704aa1fe222)
 - Replaced code that would work only on recent versions of PyQt4 (50ead740f6de)
 - Enabled with_statement for python2.5 (bec2a6498965)


From Release: v1.6.1 build ba9616b413d2 from v1.6 branch

Bug fixes:
 - Ticket #406: Builder Window menu inconsistencies (fd46220842bf)
 - Added support for executing workflows even if VisTrails is already
running (useful for Latex extension) (16c1d253a63a)
 - Added single instance limitation per user/machine instead of per
machine. Now multiple users logged to the same system can execute their
version of VisTrails (16c1d253a63a)
 - VisTrails was ignoring batch mode input parameters if already running
 (16c1d253a63a)
 - Latex and Wiki extensions: all options can now be set from the builder. (16c1d253a63a)
 - Ticket #405: VisTrails is not downloading unavailable packages if they are present in the packages repository (77cadf0fb8a1)
 - VisTrails batch mode: Separated generation of the workflow graph from execution of the workflow. Added support for generating the history tree graph (77cadf0fb8a1)
 - When generating a workflow graph VisTrails would sometimes generate a line in the borders (77cadf0fb8a1)
 - When testing a database connection with a password=None VisTrails would crash without catching the exception (77cadf0fb8a1)
 - When opening a vistrail from a vtl, VisTrails was ignoring the version that should be open and always opening the most recent one (77cadf0fb8a1)
 - Latex extension: added support for running vistrails locally (15255a96e4e0)
 - Latex extension: added support for embedding workflow and/or
including full tree when generating vtl requests (15255a96e4e0)
 - Wiki extension: workflows were not being embedded in .vtl file (5348cad089ba)
 - Added title to console and debugger toolbars (b2e3bda06f62)
 - Better error handling for duplicate module identifiers in packages (579520227409) (d5df9421d0c1)
 - Fixed an issue where the FilePool's local copy mechanism failed in Windows (7b398b211212) (254bce86348e)


From Release: v1.6 build e9f97c5908ac from v1.6 branch

Enhancements:
 - Added prompt for password for database access in batch mode (06c4b63434a7)
 - Please notice that the parameter separator in the command line changed again from
  '&&' to '$&$' so it's consistent with the server version. (35ad76515a97)
 - VisTrails now has "Check for Updates" option in Help drop-down (b80862d8a39f)
 - Show port_spec.sigstring in PortMismatch error message for more
   detailed debugging (c28dad738abc)
 - Turn off popup messages if messages window is open (62aeb9371235)
 - add/delete Web Services from module palette for SUDSWebServices package (2e381a4394ed)
 - Package-level context menus in the module palette (2e381a4394ed)
 - Add preference for migrating tags and notes on upgrades (41177e74e687)
 - Add stack trace to exception details for unexpected exceptions during
   change_selected_version (fd3840df3c6b)
 - Added new class Chdir to prevent users from triggering side-effects by accident
   when using os.chdir() (4aa722db61d1)
 - Added Open Recent to File menu (it works for vistrails in the file system or in
   the database. The maximum number of files in the list can be configured from Advanced
   Preferences Tab (search for maxRecentVistrails) (4aa722db61d1)
 - Configuration object now supports bound methods as subscribers (4aa722db61d1)
 - Debug messages now have a "details" attribute (f2911a6a6000)
 - Buttons for filtering VisTrails messages (ebc728d49db3)
 - Colors of message types added to theme file (ebc728d49db3)
 - Improved log messages in the server log to also indicate the instance of the server that
   is logging the messages (762902e79b7a)
 - Improved handling of log messages (037568dc5960)
 - Changed all examples using relative paths to datasets to use HTTPFile (403205442fd7)
 - Updated head.vt and terminator.vt example to use TransferFunction widget (403205442fd7)
 - Maintain suffixes on persistent files and directories (e9b5e906e069)
 - Improved debug messages (9dcd1a5a2ea8)
 - Ticket #390: Add support to Latex extension to download workflows at compilation
   time (90ef6cee20a9)
 - Improved error handling in vistrails.packages (a44800a88083)
 - Improved debugging messages for vistrails.gui (25b718347ef0)
 - Improved error handling in vistrails.core (2e095f36dc90)
 - Debug library updated (41e3778d507e)
 - Web Services package is now deprecated. Showing a warning message when the WebServices
   package is loaded. Message will be shown only once. (9996bba52dd1)
 - Ticket #375: Add GUI support for synchronizing vistrails (4efb09fbe5bd)
 - Merge 2 Vistrails from within VisTrails (4efb09fbe5bd)
 - Detect changes to directories so the cache can be invalidated when they change (3058d55966f2)
 - New Web Services package that uses SUDS library (0d1d3efb99da)
 - Add pinch gesture support to graphics views (3d01e549f849)
 - ParaView package: Converted to new VisTrails package format (65453bd92aa5)
 - Updated php scripts to work with Latex extension's new features (2b53ad32a374)
 - VisTrails server: added new function to return version tree as pdf  (2b53ad32a374)
 - Created a separate php file to store the server configuration (8d15fdbe8e1d)
 - Added support for running crowdlabs and vistrails server on separate machines
   (still testing) (064304a99993)
 - Ticket #382: Improvements to Latex extension (3123297d6a1b)
 - LaTex extension: VisTrails can now embed a workflow graph or a history tree in
   LaTex pdf (3123297d6a1b)
 - LaTex extension: Caching latex instructions and images for embedding images in case python
   is not available (3123297d6a1b)
 - Ticket #381: Split HTTPFile.compute() method to download the file in a separate
   function (62d25dca3f3a)
 - Add MplScatterplot and MplHistogram modules to pylab (4af6514c20d4)
 - Ticket #295: Add Debug .command to Mac distribution (e835d69d8426)
 - Added git executable to windows repository. It will be included in future windows
   binaries for persistence package  (8d9931bbbe04)
 - Updated version of the rpy package (c895125216cb)
 - Migrating new persistence package from persistence_exp to persistence (5b6418233dea)
 - Added methods to expand shortcut string representations for module descriptors and port
   specs (5b6418233dea)
 - Added support for shortcuts to remap modules/ports for upgrades (5b6418233dea)
 - Use List for controlflow now instead of ListOfSElements (74f30460d3fe)
 - Highlight invalidate port specs (74f30460d3fe)
 - Improved support for work with the filesystem. Added DirectorySink module,
    changed FileSink module to use 'overwrite'
    instead of 'overrideFile', added support for getting the contents of a
    directory, created a new OutputPath constant with a save-style widget
    to select the output path, replaces OutputName on the FileSink module.
    Added updgrade code to translate old FileSink module to new version.
    Changed version of basic_modules and abstraction to static string
    '1.6'. (fb30dca8a15d)
 - HTTPFile now supports proxies. (3799edddbb62)

Bug fixes:
 - Fix issue with console mode and unit tests (a4d544eec673)
 - Ticket #361: Cannot configure output cell layout for cells in groups in parameter
   explorations (5807414236ba)
 - Enable all spreadsheet cells for parameter exploration, even if they are embedded in
   groups or subworkflows (5807414236ba)
 - Ticket #399: Exception thrown when loading parameter exploration tab with no existing
   exploration (4366e52c39cf)
 - Fixed exception when loading parameter exploration tab for a workflow with no saved
   explorations (4366e52c39cf)
 - Ticket #154: vistrails should check for a new version being available and tell the
   user to download it (b80862d8a39f)
 - Ticket #398: Failure opening vtl files (filename issue) (c52ba7adc5f8)
 - Matplotlib package: if hide toolbar parameter is set after the source
   and there isn't an extra line at the end, the MplPlot would fail  (c52ba7adc5f8)
 - Ticket #398: Failure opening vtl files (filename issue) (cdfa0c97493d)
 - Added escaping to filename in unzip commandline call (cdfa0c97493d)
 - Fixed issue where it was not possible to ungroup a subpipeline that had an InputPort
   connected directly to an OutputPort (e1ea9b437507)
 - Fixed problem where controlflow package would raise duplicate errors (4351b3f0102f)
 - Fixed issue with groups and input values that evaluate to False (6fc007c0535d)
 - Fixed ordering of PortMismatch parameters in ensure_port_specs (c28dad738abc)
 - Fixed bug introduced on Windows platforms when changed os.chdir() calls by
   core.utils.Chdir (0a2b8a0d50d8)
 - Enable the Linux theme for 'Linux' system types (57dfb4a85e7a)
 - added deletion of namespaces in module palette (2e381a4394ed)
 - Add ability to migrate tags when upgrades are not delayed (9c49285269ca)
 - Message filter colors does not show in linux (ee8906c91039)
 - Ticket #397: Save execution log when in console mode (2dae96a8f004) (1afa51d895e9)
 - Update version tree when adding delayed actions (d1dbf3005499)
 - Subworkflows from packages that need upgrades are now moved to local.abstractions
   in the registry and picked up for workflow upgrades (04476a172f61)
 - Fixed issue with spreadsheet and grouped spreadsheet cells (fd3840df3c6b)
 - Replaced svn command with git command to get current commit (if present) (4aa722db61d1)
 - Flush delayed actions (including upgrades) to fix issues with delayed upgrades and
   grouping upgraded workflows (79dd982e6cef)
 - VisTrails Server: Applied fix to caching of history tree images when
   generated as pdfs (fc0ab9f1626d)
 - VisTrails Server: fixed problem in caching of history tree images (4862e1f7d18a)
 - Ignoring mouse gestures when Qt version is < 4.6 (4862e1f7d18a)
 - Ticket #394: VisTrails server is not detecting updates in vistrails loaded
   from the database (762902e79b7a)
 - Restoring extensions/http/run_vistrails.php to version before merge (762902e79b7a)
 - VisTrails server was ignoring the build_always variable if it
   found cached images (762902e79b7a)
 - Using port to identify the instance of the server instead of virtual
   display in script that starts vistrails server using Xvfb (762902e79b7a)
 - Ticket #393: Latex extension doesn't handle workflow exec. errors properly (16f522c459c5)
 - Latex extension: Making sure to convert line breaks into \MessageBreak
   Latex commands before displaying error messages. (16f522c459c5)
 - Forwarding force build to server so the server can also bypass
   caching (47a1105664a0)
 - Ticket #392: Refactor php extensions caching logic used for wf executions (3125e0eb8e81)
 - Updated mediawiki extension to work with crowdlabs server  (3125e0eb8e81)
 - Added workaround for RotateFileHandler problem on Windows when some
   packages start child processes during workflow execution (e5afc47797cb)
 - Fixed issue where named intermediate persistent files/directories were not
   reused correctly (df3deb58a18c)
 - Fixed git hash retrieval for persisted directories (df3deb58a18c)
 - Pasted text in VisTrails shell was being ignored (c48e67f02ae8)
 - Giving focus to VisTrails shell when showing it (c48e67f02ae8)
 - Added 'VisTrails messages' button and fixed 'VisTrails debugger' button (b401b2498c74)
 - Don't mask AttributeErrors when materializing pipelines (b5c3650e5ca6)
 - Add upgrade path for old InputPort and OutputPort modules (8abfff56592c)
 - Fixed an issue with groups and upgrades (720d93c8e3be)
 - VisTrails shell was not using fixed-width font  (b521e096f879)
 - Latex extension: delaying check for a valid url so we can include
   cached images if there's no Internet connection (79296270cc86)
 - Batch mode: On Windows, VisTrails was not executing workflows
   when an absolute path to a vt file was given (81812ac04e85)
 - Minor error fixes (45b53eef1c53)
 - Ticket #386: Moving modules after an upgrade generates invalid actions with
   delayed upgrades (ad9e029035f7)
 - With delayed upgrades, moving modules after an upgrade now generates actions
   in the correct order (ad9e029035f7)
 - Ticket #385: Workflow instantiation fails when doing on-demand package loading (aff3408c7a51)
 - Fix issue with on-demand package loading leaving workflows as invalid (aff3408c7a51)
 - Casting DBLocator names to string as they can store None sometimes (9996bba52dd1)
 - Ticket #384: Deleting version edits version tag if delete is canceled (cc05bc9e80e5)
 - Don't delete tag text when attempting to prune (cc05bc9e80e5)
 - Expanding port specs deals with differences between descriptor and port signatures (c5763a437606)
 - UpgradeWorkflowError tries to trim None-value (93b3be3d2a50)
 - Ticket #383: Unversioned modules are not upgraded (4b3fa72869f0)
 - If a module has no version, force it to be upgraded (4b3fa72869f0)
 - Ticket #302: Moved modules action generated when nothing changed (3e59defe4685)
 - Fixed logic so moved modules are properly detected and positions updated. (3e59defe4685)
 - ParaView package: Removed hardcoded path to pvserver and mpiexec
and using configuration object for that (accessible through Menu
Preferences -> Module Packages) (65453bd92aa5)
 - ParaView package: Updated pv.vt example to work with current version
of the package (65453bd92aa5)
 - Fixed bug in some php scripts when only the tag is passed instead of
a version number  (2b53ad32a374)
 - Updated all php scripts in extensions/http to work with
the current version of crowdlabs vistrails server (only local
setup currently supported) (8d15fdbe8e1d)
 - Fixed bug where server method get_wf_graph_png would sometimes
fail (064304a99993)
 - Fixed bug where although DBLocators were being cached, the
   connections were not  (b07c22d9e93d)
 - Ticket #359: When using VTKRenderOffscreen module VisTrails crashes (48e477f4c1d9)
 - VTK Package doesnt work with VTK version 5.7.0 (ba5e0bdbbb16)
 - Fixed issue with query-by-example where parameters couldn't be updated (741b1c0d7737)
 - Error using breakpoint due to new stack trace (d4f31af05a05)
 - LaTex extension: removed hardcoded url for downloading vt files
upon clicking on the images in the generated pdf. It can now be set using
the \vistrailsdownload in the latex file (3123297d6a1b)
 - HTTP package was not handling exceptions correctly (62d25dca3f3a)
 - Ticket #380: HTTPFile corrupts binary files on Windows (0a5ec2007878)
 - Color Constant: Initializing Color widget with default white
color using RGB constructor instead of QtCore.Qt.White. We assume the
color is always a QColor object and sometimes a GlobalColor object
was being found (8565a276a353)
 - Persistence Package: Added code to find tar executable similar
to the way the path to git is set up (4a2494c09ef4)
 - Persistence Package: adapted use of tar command to work
on Windows (430e29bcaf2e)
 - Windows binary: Including the gnu version of tar instead
of the one that comes with git (430e29bcaf2e)
 - Set MplFigureCell to fill spreadsheet cell (4af6514c20d4)
 - Ticket #302: Moved modules action generated when nothing changed (8f60ea9a4737)
 - Dangling move actions are displayed immediately after switching versions (8f60ea9a4737)
 - Ticket #331: ImportError when trying to import userpackages (bc27cdc4b171)
 - "import userpackages" fixed by reordering init steps (bc27cdc4b171)
 - Ticket #293: Shell copy & paste on Mac doesn't work (694c0a43fbda)
 - Use git ls-files instead of cat-file to retrive hash so that we don't have issues with Windows reading from stdin (1b190225cce9)
 - Persistence package: fixed problem where persistent files
couldn't be found on Windows (df8a7c2ef7d1)
 - Ticket #369: picture-in-picture setting is confused when a new vistrail is opened (7ea68b3e863f)
 - Check PIP preference when opening vistrails (7ea68b3e863f)
 - Allow semi-translation from abstractionRef to abstraction so
old workflows (version <= 0.9.3) with subworkflows can be opened (50b9ce2b28fc)
 -  Spreadsheet: fixed 'RuntimeError: underlying C/C++ object has
been deleted' problem during EventFilter on Windows  (93884b6a47c0)
 -  VTK Package: Fixed rendering context problem when embedding VTKCell in VisMashup on Linux (93884b6a47c0)
 -  PathChooserToolButton was not emitting proper signals necessary for
VisMashup (93884b6a47c0)
 -  Persistence package: Fixed load package error on Windows (4ee8f244fc79)
 - Change persistence package to use correct identifier for gui widgets (9dd3ad8e0b08)
 - Ticket #378: Workflow execution log contains duplicate entries (6d65daec6089)
 - Fixed logging so that executions are not duplicated when saving more than once per session (6d65daec6089)
 - Ticket #377: Exporting to OPM XML fails (3ee1cc842182)
 - Fixed OPM output capability to work with latest object layout (3ee1cc842182)
 - Update sql package to use List instead of ListOfElements (4b08dd9018db)
 - Fix typo with get_package_by_name (74f30460d3fe)
 - keep selected modules after scene redraw (bb5e4e6e1f45)
 - Optional input ports now don't show up as output ports (bb5e4e6e1f45)
 - Ticket #376: execute_cmdline broken (bbbcf19704b8)
 - Fixed copyright year in background image from About box (bcd3346d8865)
 - Web Services package: fixed bug in certain Complex Types (60128ff3a89a)
 - Ticket #374: Web service package can't be reloaded (38976729a2a9)
 - Fixed an issue with package reloading where modules imported using the "from" syntax were not added to the imported list (38976729a2a9)
 - HTTPFile: Fixed error when parsing the date from the file's header. (3799edddbb62)

From Release: v1.5.1 build 1863

Enhancements:
 - branching is now supported when uploading to web repositories (r1853)
 - Added ParaView package (r1850)
 - Added Titan package (r1847)
Bug fixes:
 - Ticket #368: Spreadsheet: export as single image does not work (r1861)
 - Fixed bug where RichTextCell was not displayed when running on
   server mode (r1857)
 - Fixed bug with thumbnails and RichTextCell (r1856)
 - Making sure to use only image files when generating thumbnails (r1856)
 - Fixed web repository commit bug where updated vistrail files where not
   successfully loaded into VisTrails after being downloaded (r1853)
 - web repository vt id annotation is now being saved (r1853)
 - web repository cookie is now nullified if the web repository url
   changes (r1853)
 - VisTrails Batch mode: Changing parameter separator from '&' to '&&' so
   urls with query urls work (r1846)
 - Added procedure to WIndows installer script to remove VC Redist files
   left behind (r1846)
 - log file names are now updated according to VisTrails version (r1845)
 - Ticket #366: VTK overloaded ports from old vistrail files are not being shown in the GUI (r1842)
 - Fix translation of head example from old version (r1842)
 - Ticket #367: Different port signatures when upgrading a workflow (r1841)
 - Translate old parameter type serialization to match port/portSpecs (r1841)
 - Ticket #364: actionAnnotation breaks view->show all (r1840)
 - Fix issue with annotations that have the same key/value pairs (r1840)
 - Ticket #363: Enabling the Web services package on-the-fly is broken (r1839)
 - Spreadsheet package: SingleCellSheetReference could not be used (r1839)
 - On Mac, the eventFilter was not being removed when finalizing
   Vistrails and sometimes delayed events could not be processed  (r1839)
 - ImageViewerCell: Disabling the zoom slider when playing
   animation (r1838)
 - Ticket #362: ImageViewerCell Animation Icons Are Not Displayed (r1837)
 - repository_vt_id now represents the crowdlabs vistrail object id instead
   of the vistrails db id (r1834)
 - when merging a vistrail with one on the web repository, a check is made
   to see if that vistrail still exists (r1834)


From Release: v1.5 build 1832

Enhancements:
 - Upgraded libraries: VTK 5.6, Qt 4.6.3, python 2.6
 - Adding extension files to release
 - Add support for calling binaries in Mac bundles (r1813)
 - New methods for cmdline execution (r1813)
 - Better configuration for persistence package (r1813)
 - Added scripts for manipulating the database (r1809)
 - User may now designate permissions when uploading vistrail to web repository (r1806)
 - More informative upload dialog that lists incompatibilities between
   vistrail files and web repository, including PythonSource module checks (r1806)
 - Merges with web repository now updates local vistrail version (r1806)
 - Changed VisTrails version to 1.5 (r1805)
 - Files produced by FileSync modules are publishable by default.
   Use publishFile boolean to avoid publishing the files.  (r1805)
 - Server mode: added support for executing workflows and returning
   results as pdf files (r1804)
 - Latex Extension: added support for embedding pdf files. See README file
   in extensions/latex for help (r1804)
 - Ticket #317: Add support to the spreadsheet cells also generate PDF files (r1801)
 - Spreasheet Package: Added global configuration for controlling
   the file type (PNG or PDF) when dumping cells (console mode). This can be set
in the Spreadsheet configuration panel or as a
command line option (use --pdf or -p
for dumping files in pdf). (r1801)
 - Added support for merging vistrails on the server side (r1798)
 - Added support to draw workflow graphs (as png and pdf) and
history trees (as png) (r1798)
 - VTK Package: Added the ability to use the Transfer Funtion widget to
create color mappings (vtkColorTransferFunction) not necessarily in
volume property.  (r1796)
 - Changed version of VTK Package to 0.9.2 (r1796)
 - Added two new output ports to vtkScaledTransferFunction: vtkPiecewiseFunction and vtkColorTransferFunction (r1796)
 - Handle upgrade and prune annotations during merge (r1792)
 - Added gui code for the interactive vistrails merge (r1791)
 - Interactive interface for merging two vistrails (r1789)
 - Make actions immutable by moving mutable attributes to a higher level (r1786)
 - Try to fix as many errors as possible in an upgrade, even if all cannot be fixed (r1777)
 - Merging action annotations (r1771)
 - Methods for hashing tags and annotations (r1769)
 - Merging of vistrails files for crowdlabs. (r1762)
 - Preferences for upgrades (r1761)
 - Allow delaying persistence of upgrades until changes (r1761)
 - PRELIMINARY upgrade support (r1755)
 - view pipelines without having the packages (r1755)
 - view invalid pipelines (r1755)
 - improved pipeline validation (r1755)
 - Add method to allow updates of a single port rather than all ports as updateUpstream provides (r1753)
 - Dump non-ModuleError exceptions to the console (r1753)
 - Improved string formating of nested InvalidPipeline exceptions (r1752)
 - Allow QSearchBox to do non-incremental searching (r1751)
 - Improved version selection handling (r1744)
 - Server Mode: added support for multithreading (r1741)
 - Decoupled the directory where the spreadsheet will dump cells from the configuration. spreadsheetDumpCells configuration is now deprecated. Now this setting can be configured in a per workflow fashion  (r1741)
 - Added support for extra information to be passed along workflow executions. The spreadsheet now uses this mechanism instead of a global configuration for dumping cells (r1741)
 - inital version of a VisTrails R package using rpy2 (r1723)
 - easier namespace designation using _modules (r1722)
 - easier constant extensibility and customization (r1721)
 - improved List module (r1721)
 - new Dictionary module (r1721)
 - new SourceConfigurationWidget to make creating source configuration widget easier (r1720)

Bug fixes:
 - Sometimes matplotlib plots were not refreshed in the spreadsheet (r1828)
 - Fixed the flickering issues of VTKCell on Windows (r1825)
 - Updated Web services code to work with HTTP package chages (r1824)
 - Fixed Python Wrapping issue with VTK 5.7.0 (r1818)
 - Minor UI fixes to web repository dialog (r1817)
 - web repository dialog now links to correct vistrail id on the web repository (r1817)
 - Upon upload to web repository, an repository identification annotation is added automatically (r1817)
 - Fixes for merging vistrails in server mode. (r1816)
 - low-level merge code now allows passthrough gui references
instead of importing them (r1812)
 - Fix issue where annotation ids weren't properly assigned (r1809)
 - Merging thumbnails (r1808)
 - Fixed issue where database was saving parent id/type pairs as NULL (r1807)
 - Fixed issue where deleted annotations were not translated to previous version (r1807)
 - Fixed issue where deleted annotations could not be mapped back to previous schemas (r1807)
 - Fixed issue where annotations were not set with the correct db flags (r1807)
 -  Generating the pdf of the workflow in console mode was not
working.  (r1805)
 - Fixed bug in script that starts VisTrails in server mode using Xvfb (r1804)
 - Spreadsheet package: corrected paper size of generated pdfs (r1803)
 - Fixed Vistrail merge casting bugs (r1802)
 -  Spreadsheet Package: Standard non-image type cells now correctly dump
contents to file.  (r1801)
 - Vistrail merge did not copy thumbnails (r1800)
 - Fix issue with reading and writing the boolean parameters during persistence configuration (r1799)
 - Fix issue when writing metadata of managed files (r1799)
 - Ticket #358: HTTPFile header-based caching is broken (r1797)
 - HTTPFile.is_cacheable is now implemented, and is aware of server headers. (r1797)
 - Ticket #353: Import workflow doesn't set id scope correctly (r1790)
 - update id scope after importing a workflow (r1790)
 - Fix for older log files that have incorrectly moduleExec elements (r1788)
 - Checking whether XML element is not None before trying to evaluate it as text (r1787)
 - Fixed port spec naming in new persistence package (r1783)
 - Fixed issue where always creating a new reference didn't generate an id (r1783)
 - When pruning a node, make sure that node is removed from the version tree display (r1782)
 - Fixed issue with re-saving to the database with groups (r1781)
 - Fixed issue with upgrading groups and database persistence (r1781)
 - References to thumbnaisl were being shared across
different vistrails (r1780)
 - Existing thumbnails were not being replaced by new ones (r1780)
 - Don't automatically switch to pruned upgrade nodes (r1779)
 - Ticket #357: Error after saving as [Errno 2] (r1778)
 - Fixed issue with trying to upgrade groups introduced by upgrading port specs (r1777)
 - Fix issues where pipelines are not validated after certain actions like copy-paste (r1776)
 - Merging of vistrails did not work (r1775)
 - Band-aid for analogies to make analogies with groups or abstractions a bit more robust (r1774)
 - Fix error with handle_invalid_pipeline and subworkflows (r1773)
 - Fix bugs in displaying missing dependencies in preferences (r1772)
 - Pass module information through group to contained modules (r1770)
 - Fix issue with upgrading module functions for user-defined ports (r1768)
 - Fix issue with upgrading modules that have user-added ports (r1767)
 - Change call to fix missing modules to the correct method (r1767)
 - Merging of vistrails files for crowdlabs. (r1766)
 - Fix issue with analogies where obselete method was being called (r1764)
 - Fixed issue where automatic upgrades fail because a port is said to not be found even though the port does exist (r1763)
 - Fixed issue with upgrading groups (r1761)
 - Ticket #356: Action copy doesn't remap previous id (r1757)
 - Pass simplify argument through in create_action_from_ops (r1756)
 - Fixed issue with versions_increasing computation (r1752)
 - Ticket #354: Package reloading raises duplicate package error (r1750)
 - Fix issue with renabling packages where a signal was issued twice (r1750)
 - VisTrails Server: the vistrail version was not being included in the .vt file generated by the server (r1746)
 - fixed ModuleRegistry.auto_add_subworkflow so that it accepts the correct (filename, dict) format. (r1745)
 - Server mode: Added a global variables to store information for accessing the database (r1743)
 - Fixed a bug in the RequestHandler.get_wf_vt_zip() function. (r1742)
 - The notes field in the History View now only supports plain text (r1741)
 - Fixed issue where module label changes were not recognized correctly and raised an exception (r1740)
 - Don't require a Module to a be of type __builtin__.type to
allow boost:python, etc. classes (r1739)
 - Differentiate between init.py not existing and init.py having ImportErrors (r1719)
 - Ticket #346: Module Parameter Types Serialized Incorrectly (r1718)
 - Update module parameter type serialization when containing namespaces to match port specs and ports (r1718)

From Release: v1.4.2 build 1716

Enhancements:
 - Ticket #290: Reload packages without restating VisTrails (r1714)
 - Package reloading support should now be fully functional (r1714)
 - Enabling access to a Web package repository. (r1712)
 - Started adding support for Qt4.6.x (r1711)
 - Package vtlcreator: Exposing the function to create the contents
of a .vtl file as a static method, so it can be called from other
packages  (r1709)
 - Added support for embedding workflows when using the Web extensions (r1709)
 - VisTrails Server: Added support for creating a .vt file for a given
vistrail/workflow on the DB so it can be embedded on a .vtl file (r1709)
 - New module, RepoSync, has been added to the HTTP package, which enables data files to be synced with an online repository (crowdLabs) (r1708)
 - Added basic online web repository (crowdLabs) user authentication dialog (r1707)
 - Added ability to upload VisTrail files to online web repository (crowdLabs) (r1707)
 - Improved package reloading support (r1703)
 - Added helper methods, get_inputPort_modules and get_outputPort_modules, to get modules that connect to a given input port or output port (r1701)
 - Added helper method, connections_to_module, that returns a list of all modules that connect into a given module (r1701)
 - Ticket #290: Reload packages without restating VisTrails (r1697)
 - Enable package reloading without the need to restart VisTrails. (r1697)
 - SQL package also connects to a PostgreSQL database server (r1696)
 - SQL package: added cacheResults parameter to SQLSource (r1696)
 - SQL package also handles connection timeouts (r1696)

Bug fixes:
 - Package menu items (on the toolbar) are now properly removed when the package is disabled (r1714)
 - Package lists can now be traversed with the keyboard (r1714)
 - Fixed bug that when enabling a package dynamically sometimes VisTrails
would say that it failed but if you just selected the version node again the
pipeline would be loaded without problems (r1711)
 - MAC and Qt4.6: VisTrails would fail to start when using MacBrushMetalStyle (r1711)
 - Mac and Qt4.6: There was not text anti-aliasing in modules and version
nodes (r1711)
 - Qt4.6: Moving a module in the pipeline view would not move the
connections attached to it (r1711)
 - Qt4.6: Legend Window in Visual Diff would not properly display the
colors (r1711)
 - Fixed a bug with opening .vtl files that embedded workflows (r1709)
 - Package vtlcreator: Fixed a bug that the version of the embedded
vistrail was not being set (r1709)
 - Fixed the Capitalization error in the VisTrails App Bundle name (r1709)
 - Properly track all modules in the hierarchy of a module loaded by a package for correct packing reloading (r1706)
 - Made reset query work immediately for the version search box (r1705)
 - Stop creating empty actions (r1704)
 - DBLocator: Removing object name from XML serialization.
This was causing inconsistencies with caching locators because we don't
know the name of the object before we load it  (r1702)
 - Ticket #345: db connection edit bug (r1700)
 - DBLocator: Serializing also db connection user so current
permissions are not overriden by the cached version (r1700)
 - Ticket #344: Ungroup failing (r1699)
 - Ensure correct modules after ungrouping (r1699)
 - Ticket #342: Method responses return None in Web Services Package (r1698)
 - Complex types were ignoring the new 'self' input port when
unwrapping contents (r1698)
 - Ticket #341: On Ubuntu, VisTrails doesn't try to install MySQLdb (if not present) when accessing the database (r1695)
 - Move Vistrail import into load_vistrail method to avoid
circular imports. (r1694)

From Release: v1.4.1 build 1693

Enhancements:
 - Code cleanup: removed unnecessary imports in a few files (r1687)

Bug fixes:
 - Using VisTrails as a library: added more imports to
 init_for_library.py file (r1687)
 - In the pipeline view, if you changed a module (moving it, for
 example) and deselected the current node in the PIP view, VisTrails
 would throw an error (r1687)
 - Ticket #338: The DB Connection Setup Dialog opens twice (r1686)
 - Package Web Services: expanded simple types map to include all
 simple types defined in http://www.w3.org/2001/XMLSchema (r1685)
 - Ticket #337: Web Services package fails to load a wsdl (r1684)
 - Web Services package: Expanded simple types map to include missing types (r1684)
 - Upgraded ZSI library in the binary releases to use trunk r1495
 - Ticket #336: VisTrails fails when opening files with an older schema (r1683)
 - Fix upgrades when module's version does not exist. (r1683)


From Release: v1.4 build 1682

Enhancements:
 - EXPERIMENTAL: Packages can handle workflow upgrade requests. Still very much
work-in-progress. If you want to enable this, set 'automaticallyUpgradeWorkflows'
to True in the Expert Configuration tab in the Preferences menu.   (r1665)
 - Module Packages tab in Preferences menu now shows package version. (r1665)
 - Initial revision of a sql scripting package (r1664)
 - Improve error messages when sql statements fail (r1660)
 - Ticket #318: Add support for generating a .vtl file within a workflow (r1657)
 - Allow persistence package to search for persistent entities
in multiple stores (r1654)
 - Added script that generates nightly source releases. (r1648)
 - Better delete buttons on the parameters. (r1646)
 - Add data provenance support for persistent files. (r1644)
 - Removed "Tag" entry in the method palette (r1643)
 - Ticket #276: Make method deletion more visible (r1642)
 - Ticket #287: Allow parameters to be named (r1642)
 - Ticket #291: Allow functions to be populated with default values (r1642)
 - Can delete functions/methods by clicking the check box next to the name (r1642)
 - Can define default values for parameters (r1642)
 - Can define labels for parameters (r1642)
 - Added script for (re)starting vistrails in server mode with Xvfb.
 - Visual Diff now shows matches in white; modules shared by history are colored
gray while modules shared by matching are colored white. (r1634)
 - Added better default descriptions to version tree. (r1634)
 - Enabled the 'SetInputArrayToProcess' method of vtkAlgorithm class to use
for the InfoVis package. This port was disallowed earlier for some reason, so
we have to watch if this will cause any issue. (r1632)
 - Added support for storing logs and thumbnails on the database. (r1625)
 - Add a new module that allows the user to control the order of execution of
two sinks. (r1618)
 - Use the module descriptor to do hashing instead of the module since the
descriptor used may be a different version. (r1615)
 - Fix so core and gui controllers both use the same change_selected_version
logic. (r1614)
 - Streamline error handling for workflow materialization. (r1614)
 - Added Path and Directory constants and updated File constant
along with configuration widgets. (r1611)
 - Updated persistence package to support persistent directories
and compression. (r1611)
 - Initial version of a persistence package that aims to cache
files across VisTrails sessions. (r1598)
 - Adds support for viewing web documents in a WebViewCell using
Qt's QWebView which is based on WebKit (r1596)
 - Moved the controlflow package from packages to vistrails/packages. (r1588)
 - Moved doc folder to root. (r1581)
 - First version of source tree documentation. (r1580)
 - Added the InfoVis example using the new VTKViewCell. (r1564)
 - Enable more intuitive command-line interactions with
pipelines (r1563)
 - Added VTKViewCell for displaying vtkRenderView compatible with the current VTK trunk. Just connect vtkRenderView to VTKViewCell. First attempt, only tested on Linux. (r1562)

Bug fixes:
 - Ticket #334: Programmatic change_parameter problem (r1679)
 - Add translation to new ids back after input/output remap. (r1663)
 - Ticket #328: Backslashes in SQL Problem (r1662)
 - Use prepared statements for the relational database
persistence. (r1662)
 - Ticket #330: Ungroup and save to db fails (r1661)
 - Make sure that new objects are saved to the database. (r1661)
 - Ticket #328: Backslashes in SQL Problem (r1660)
 - Added prepared statement support for db version 1.0.1 (r1660)
 - Ticket #329: Analogy port remap needs to check input/output remaps (r1659)
 - Check the correct remap when changing ports. (r1659)
 - Check for __init__.py in userpackages on startup. (r1656)
 - Improve feedback for undo/redo (r1655)
 - Ticket #327: Bug in exporting registry to DB (r1653)
 - Removed global setting on package ids from sql spec. (r1653)
 - Fixed exporting Log, Workflow and Registry to XML (r1652)
 - Fixed exporting Log and Workflow to DB (r1652)
 - tag "tag" was being ignored when "version" was empty in .vtl file (r1651)
 - Copying DBLog objects was not working (r1650)
 - DBVistrail.do_copy doesn't fail when log is None (r1649)
 - Add copy methods to enhanced DBVistrail (r1645)
 - Don't disable entire vistrails when they contain **unused**
invalid port specs (r1641)
 - Ticket #323: Subworkflows with version mismatches in underlying pipelines don't fail gracefully (r1640)
 - Subworkflows that fail to load fail gracefully and print the
exception (r1640)
 - Ticket #321: Save As... doesn't save log (r1639)
 - Save As and Export now save log data from files to files or
files to db. (r1639)
 - Ticket #259: Undo not available (r1636)
 - Undo and redo are now available when the should be. (r1636)
 - Execute Version Difference menu item is enabled at the correct
times and functions correctly. (r1636)
 - Ticket #326: Visual difference not considering namespace (r1634)
 - Modules from different packages or namespaces no longer
match (r1634)
 - Groups try to match on their tag during heuristic
matches (r1634)
 - Ticket #325: DB version translation loses deleted entities (r1633)
 - Translating to different database versions now transfers
deleted entites from the old object to new object. (r1633)
 -  wiki vistrails tags containing "tag" attributes were not executed on the wiki  (r1627)
 - Ticket #320: Version Tree Display Inconsistent Across Serializations (r1617)
 - Fix to make version tree layout consistent across
serializations. (r1617)
 - Ticket #319: Database copy/pastes saves not working correctly (r1616)
 - Version updates now update the id scope to avoid strange
errors when using VisTrails with an older database schema. (r1616)
 - Copy and paste operations reset the id of a group's pipeline
to None in order to allow the database to assign the correct
id. (r1616)
 - Unserialization now sets the unserialized object's is_new flag
to True instead of allowing it to default to False. (r1616)
 - Add version support into module signatures so that persistent
files will be recomputed when upstream modules are updated. (r1615)
 - Analogies now replace annotations of the same key and
parameter values instead of adding new copies. (r1614)
 - Bring unit tests up-to-date. (r1614)
 - Ensure that debug messages are written in core controller. (r1614)
 - Make code that adds parameters after executions work again. (r1614)
 - core.system.executable_in_path now checks the correct error code from core.system.execute_cmdline() (r1613)
 - Ticket #314: Visual Diff Broken when PythonSource loses/gains a connection (r1612)
 - Fix issue with dynamic modules and the visual diff when ports
have been re-typed. (r1612)
 - Update documentation on create_action. (r1611)
 - Ticket #311: Method palette doesn't obey port overloading (r1610)
 - Ensure that ports are only displayed once in method palette
and obey port overriding. (r1610)
 - Ticket #309: Subworkflows crash on package version mismatch (r1607)
 - Run ensure_modules, ensure_connection_specs on subworkflows
during loading to try to avoid package version mismatch
errors. (r1607)
 - Ticket #308: Analogies fail on changed location (r1606)
 - Fix bug with analogies where module's locations were added
instead of changed causing problems when that module was
deleted. (r1606)
 - Fixed issue with deletes in sql persistence for versions 0.9.5
and 1.0.0 (r1603)
 - Ticket #307: Error messages when executing a workflow more than once (r1602)
 - This fixes bug where error messages would be printed to the terminal when executing a pipeline with cached modules more than once (r1602)
 - Fixed a typo in create_port, we don't need to call the vistrails_port
object that was created. (r1601)
 - Fixes some of the shell interaction methods. (r1600)
 - Remove ternary operator for python 2.4 compatibility (r1599)
 - Ticket #305: vistrails.sql script in schema v1.0.0 is broken (r1595)
 - Fixed issues with versions 0.9.5 and 1.0.0 of the relational schema. (r1595)
 - Ticket #304: VisTrails does not check if the connection to the database is still alive before performing an sql command (r1594)
 -  This fixes bug where the MySQL has gone away error would show up when connected to a database and VisTrails was not being used for a while (r1594)
 - Ticket #303: Thumbnail error when saving a vistrail (r1593)
 -  Fixes bug that prevented a vistrail to be saved because of an error related with thumbnails. (r1593)
 - Ticket #301: Double-clicking .vt and .vtl files does not cause them to be open by an already running VisTrails (Mac only) (r1592)
 - Moving condition check to the right place so FileOpen events are captured correctly on a Mac (r1592)
 - Ticket #299: Delete ops in analogies broken (r1591)
 - Add some checks to make analogies better behaved. (r1591)
 - Ticket #300: Null actions being added to the tree (r1590)
 - Parameter selections don't generate null actions. (r1590)
 - Ticket #297: MissingPort exception not raised (r1589)
 - Fixes bug where user is never notified if a module on the
registry is missing the requested port. (r1589)
 - Updated VisTrails Server code in the trunk to be consistent with the server
running in vistrails.sci.utah.edu (r1583)
 - Fixed small bug that prevented load a vistrail from the database
using the GUI. (r1582)
 - Partial fix to deprecation messages. Not closing the ticket because it's
not fixed on Windows. (r1576)
 - Ticket #283: Fold Type Mismatch Error (r1575)
 - Fix the type mismatch error message. (r1575)
 - Update current list of ignored classes in vtk package. (r1573)
 - Ticket #279: Analogies broken with namespaces (r1572)
 - Use module's _get_module_descriptor call to get the descriptor to fix
namespace issues with analogies. (r1572)
 - Fixes a bug that shouldn't currently be exposed to an end-user.
Specifically, the registry's udpate_id_scope method didn't add 1 to
the begin id. (r1571)
 - Fixed the pipeline execution mechanism in the spreadsheet that didn't work
with the new interpreter interface. (r1567)

From Release v1.3 build 1561

Bug Fixes:
 - Fixed bug that was preventing files from being saved on Windows


From Release v1.3 build 1559

Changes:
 - Schema upgrade. Current version: 1.0.0.
 - Updated VTK libs to use 5.4.2 release
 - Removes conditional expression constructs, so that code runs on Python < 2.5.
 - Including Gridfields python module
 - Using only application single instance behavior if Qt 4.4 or later is
   available
 - Added support for SubWorkflows (with no database support yet)
 - Added a Control Flow Package (see user's guide to see how to use it) and
   related example files
 - Added support for basic package repository
 - Introduced a major reorg of the registry and related classes.  Specifically,
   it adds serialization capabilities, and unifies the
   core.modules.module_registry.PortSpec and
   core.vistrail.port_spec.PortSpec classes.  In addition, all configuration and
   drawing is done using PortSpecs (not Ports). It also includes revisions to
   the PythonSource, and Tuple configuration dialogs, and adds controller code
   to better support resulting updates. You can serialize the registry via the
   "File -> Export -> Registry To ..." menu items.
 - Added support for "registry quickstart" which allows VisTrails to boot
   significantly faster.  It also further changes registry behavior to allow
   VisTrails to function without having access to the actual python modules
   behind the ModuleDescriptors.  Everything can be done by tracing the
   descriptor hierarchy instead of the mro, but we still use the mro when we
   have it.  Try the quickstart by starting VisTrails normally and selecting
   "File -> Export -> Registry To XML..." and saving the resulting file.
   Then restart VisTrails with the -q flag followed by the registry file:
   (ie "./vistrails -q <registry_filename>")
 - Use solid colors instead of textured backgrounds on graphics views,
   since Qt (or pyqt) redraws much slower when these are enabled.
 - Improved layout of modules in visual diff and analogy
 - Added support for displaying thumbnails below the notes panel and/or as a
   version node tooltip. See Thumbnails Preference tab for changing specific
   options
 - Improved menu File organization
 - Added translate* methods for versions 0.9.3 and up, and updated code to use
   them.  This should ensure that xml vistrails, workflows, logs, and
   registries, can be updated when schemas change.  The idea is that you open a
   vistrail, and if it is not in the current schema, it is translated to the
   current schema, no matter if you're using an xml-based file or relational
   database.  When saving the vistrail, the db code will attempt to translate
   the vistrail to the schema of the database (even if it is an older version)
   before saving.  For xml-based files, you may optionally specify to save the
   file as an older version.  Currently, you are only able to translate back
   to 0.9.3 (See menu "File -> Export -> Stable Version").
 - Added initial support for workflow debugging
 - Added the progress functionality allowing modules to show their progress
   during the compute() by calling self.logging.update_progress(self, progress).
 - The VisTrails Console is now a dockable window. Also fixed a long-standing
   bug that hitting enter when cursor is not at EOL will carry garbage to next
   line. Fixed also a bug where if user types fast enough in the shell, the
   input fails.
 - Added support for constants to generate custom hashes. The main current
   usecase is File constants, which hash against filename and last-modified
   times. The biggest consequence is that pipelines that use File objects will
   now be smarter when it comes to files that change upstream, reducing the
   number of times one has to clear the cache.
 - Improved the initialization of packages: if package fails during call to
   initialize(), we report failure, disable the package, and continue
   initialization. This allows startup process to continue. Also in preferences
   pane, when package fails to load, we now display the error message;
   previously, it just said "error". (There's still the problem of reporting
   packages that load ok but fail to initialize)
 - Changed view behavior so that the initial pipeline view upon opening a
   vistrail is reset.
 - Added support for importing workflows that have been saved as xml.
 - Added a function to change parameters from the api along with a function to
   find modules by name (and package/namespace if specified). Note that the
   param_list in change_parameter requires a list of strings---the serialized
   representations of the parameters!
 - Updated the gen_vtk_examples scripts to create better pipeline
   specifications.
 - Added pc3 package for the Third Provenance Challenge.
 - VTK package:
   + Added support for Picking in a VisTrails cell. By default, the
     vtkRenderWindow contains a picker. The 'p' key activates the pick test in
     the render window.  A new vtkPicker can be attached to the VTKCell to
     modify the picking behavior according to the mechanism provided by VTK.
   + All VTK Filters are registered to show their progress while executing
   + Added support of InfoVis to VTKCell. Notice that the saving camera feature
     does not working with InfoVis (because there are no direct SetCamera port
     for InfoVis classes).
   + Added support for changing the backgorund color of a vtkRenderer using
     color widget
 - Spreadsheet:
   + Added exporting images and echo mode feature

Bug Fixes:
 - Fixed bug where queries with multiple sources would fail in query by example
 - Spreadsheet:
   + Jpg/gif/png images can be correctly displayed on the spreadsheet
   + Fixed many interaction bugs
   + temp files were not being correctly removed
 - VTK state changes with statically overloaded parameters are now handled
   correctly. Typical example is vtkTreeMapView::SetLayoutStrategy
 - Fixes a  bug where the configuration wouldn't be setup properly for a new
   .vistrails directory.
 - Fixed plot.vt example to work with matplotlib version >= 0.98.5.2
 - Catch exceptions when writing file to raise dialog box if there is an error.
   This fixes bug that nothing was being shown to the user in case of a bad
   write (ie, file permissions insufficient).
 - Fixed PythonSource syntax highlighter error and (yes!) there's a line number
   for debugging now.
 - Fixed startup "bug" when package with dependencies fails to load
 - Copy/paste is relative to the current canvas
 - Shipping the GPL License in the distributions
 - ImageMagick package:
   + Added CombineRGBA class, configuration object, and fixed GaussianBlur bug
   + Removed requirement check that prevented the package from loading if
     ImageMagick was not found in the path
 - Bug fixes in Windows installer:
   + Installer always creates desktop shortcut and uninstaller did not remove
     all pyc files
 - Other minor fixes

From Release v1.2.1 build 1336
Changes:
 - Schema upgrade. Current version: 0.9.3. If you keep vt files in a database,
   you have to upgrade the database as well
 - VisTrails now requires Qt 4.4 or later to run
 - Adopted application single instance behavior (only one version of the
   VisTrails application can be executing).
 - Added Interactive expansion and collapsing in the version tree: the three
   lines on edges in the version tree that used to represent multple
   versions has been replaced by a plus symbol. Clicking this symbol
   expands the link to show all the versions in betweeen (though this may
   change to only a limited number later).  A minus sign appears on the
   top of a list of untagged, non-branching, non-selected versions that
   will collapse that list.
 - Added descriptions to the version tree.  They show up in place of
   a tag if one hasn't been set, but with a thinner italicized font.
   Double-clicking on the node allows it to be changed and turned into a tag.
   Showing a description for each action that is now displayed in the
   properties overlay. This description is still very simple (eg.,
   Added module), though in the future it might make sense to save off
    more detailed descriptions for each action in the db (eg., Added
    vtkRenderer module)
 - Added new items to the View Menu to show and hide branches and nodes
 - Restored the "Clear Recent Searches" in the search box in the version
   properties
 - Added command line options to execute workflows and show only
   the spreadsheet when opening
 - Logging information is now stored in .vt file

 Bug fixes:
 - Copying and Pasting dynamic modules, such as PythonSource threw an error
 - File version was not set correctly
 - Fixed a bug in analogies that sometimes corrupted vistrails files.
 - Fixed some bugs and annoying behavior with autosave.  A dialog
   now prompts the user if they want to load autosaved data.  This
   dialog appears when opening a file or starting up vistrails.
   Autosave data no longer is loaded when the user creates a new
   vistrail by pressing the new button.
 - Dragging versions to the spreadsheet is working again
 - Dragging a spreadsheet tab created a window that couldn't be closed
   or put back. A floating sheet can be docked back by simply closing it or
   dragging it back the spreadsheet tab bar (if exists) or just the window
   itself.
 - There was no obvious way to exit full screen mode in spreadsheet. The
   fullscreen mode can be closed either by:
    * Pressing 'ESC', 'Ctrl-F', 'F11' or 'Alt-Enter'
    * Right click on the fullscreen mode and unselect 'Fullscreen'
  - Border color of selected cells in the spreadsheet is now consistent

From Release: v1.2 build 1263
Changes:
 - Version tags can be edited directly by double-clicking the tree nodes
 - Added basic support for package management on Fedora Core through YUM
 - Added compatibility with Qt4.4
 - Added support for dynamic addition of modules in packages
 - Pipeline, Query and History views are now reset with Ctrl+R
  (Command+R, on a Mac) so that it does not interfere with version text
  items
 - Add a transparent overlay to the version viewer that shows the
   selected version's properties.  By default this is turned off, but
   can be enabled under the view menu.
 - Added standalone functions that help third-party applications that
   need an API into VisTrails, located on vistrails/api directory.
 - Improvements in the command-line for both non-interactive and interactive mode:
   + Added support for executing more than one workflow at a time
   + Included support for opening a vistrails from the database
     Now a version (tag or id) can be specified in the command-line
     together with the filename (or vistrails id when opening from the
     database).
 - Added support for opening special vistrails files (.vtl files) on
   the web (wiki integration)
 - WebServices package: added support for loading wsdl urls automatically
   when opening a pipeline using them


Bug fixes:
 - Improved handling of faulty packages
 - Vistrails having groups with annotations or functions did not open
   correctly
 - Query display didn't ghost module fill
 - Query execution and reset didn't update pipeline view
 - Connection line was drawn twice in query canvas
 - Editing parameters in query mode was cumbersome because of
   bad focus management
 - Fixed database support to pipelines with groups
 - Fixed "Add Database" dialog confusing behavior
 - Fixed a long-standing bug on PythonCalc where ModuleError was
   being called without the self parameter
 - HTTP Package: slightly better error handling with malformed URLs
 - Improved general GUI performance when changing versions, including
   Undo/Redo
 - Removed obsolete command-line options
 - Refine in the search box was not working
 - Spreadsheet: Saving a spreadsheet also included cleared cells.


From release: v1.1 build 1143

Changes:
 - Added "Set Module Label" feature (through the configuration pop-up
    menu of the GUI)
 - Improved error messages
 - Added vistrails files for many of the vtk examples
 - Added support for packages to create menus in the builder window
   (see spreadsheet package for an example)
 - Modules and input ports can be automatically registered by
   setting per-module _input_ports and _output_ports fields and
   per-package _modules field (see teem package at www.vistrails.org)
 - Removed graphviz dependency
 - Ability to export workflow and history views to PDF
 - In WevServices Package: Improved support to web services using
   complex types
 - Added a BooleanWidget, so Booleans are now given by a checkbox
 - In VTK Package:
   + Added Transfer Function Widget
   + Added dataset inspectors, special vtk modules that allow users
     to easily query bounds and scalar range of an object.
   + Added support for vtkTIFFReader to allow volumetric (slice-based)
     reads.
 - Added support for grouping modules in pipelines
 - Incorporated many optimizations in the code
 - Added namespace support to packages

Bug fixes:
 - Fixed analogies
 - Version tree was not refreshed when analogy was applied on the spreadsheet
 - Fixed double drawing of module names and version node names on the mac
 - Added support for running Visual Diff for pipelines with
   PythonSources and other modules with a local registry that
   have different input and output ports
 - Changed the behavior of selecting new cell locations on the
   spreadsheet when it is full (cycling vs. using always the first
   cell)
 - Fixed bug where options passed through the command line were
   written to the startup.xml file

----------------------------------------
From Release v1.0.1 build 1063
Changes:
 - In VTK Package: Exporters now take a VTKCell as input when exporting
   the scene

Bug fixes:
 - Caching mechanism: VTK modules didn't take the connections into account
   when deciding whether to cache or not. This is related with the error
   message "function expects 1 argument, got 0 instead".
 - Fixed Parameter Exploration bugs where parameter widgets did not update
   correctly when changes are made to the pipeline.


From Release 1.0 build 1024
Changes:
 - Added a preference option to enable/disable Brushed Metal Style on Mac

Bug fixes:
 - Opening/Saving a .vt file on a path with spaces was not working on Unix
   systems
 - Creating/Applying analogies  on the spreadsheet
 - Opening/Saving spreadsheets


From Release 1.0 beta rev954:
Changes:
 - Added module VTKRenderOffscreen to vtk package

Bug fixes:
 - Version tags couldn't be reused
 - Some vtk writers couldn't be dragged to the pipeline canvas
 - Vistrails crashed when trying to copy and paste something other than
   a serialized pipeline
 - Modules lose focus when dragging to the pipeline canvas
 - Modules downstream of a error module were green (as if they were executed)
 - Select All button on the spreadsheet was not working
 - Creating a version from the spreadsheet didn't work
 - Tags weren't deleted when pruning the tree
 - Booleans weren't supported in parameter exploration
 - Fixed double-clicking on a vt file when opening vistrails on Windows

From Release rev921:

Changes:
 - Interface was improved and it is now more consistent
 - General configuration and package management accessible through menu Edit->Preferences
 - Using a more efficient file format (*.vt)
 - Auto saving feature

--------------------------------------------------------------------




